// Garden Gnome Software - Skin
// Pano2VR 5.2 beta4/15957
// Filename: skin.ggsk
// Generated Wed Jun 28 23:06:15 2017

function pano2vrSkin(player,base) {
	var ggSkinVars = [];
	ggSkinVars['gallery_show_hide'] = false;
	ggSkinVars['gallery_pictures'] = 0;
	ggSkinVars['gallery_show_hide_1'] = false;
	ggSkinVars['gallery_pictures_1'] = 0;
	var me=this;
	var flag=false;
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	this.ggUserdata=me.player.userdata;
	this.lastSize={ w: -1,h: -1 };
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=[];
	this.elementMouseOver=[];
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	if (typeof document.body.style['transform'] == 'undefined') {
		for(var i=0;i<prefixes.length;i++) {
			if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
				cssPrefix='-' + prefixes[i].toLowerCase() + '-';
				domTransition=prefixes[i] + 'Transition';
				domTransform=prefixes[i] + 'Transform';
			}
		}
	}
	
	this.player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=[];
		stack.push(startElement);
		while(stack.length>0) {
			var e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(var i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		var hs='translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
		return hs;
	}
	
	this.findElements=function(id,regex) {
		var r=[];
		var stack=[];
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			var e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(var i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.addSkin=function() {
		var hs='';
		this.ggCurrentTime=new Date().getTime();
		this._screen_tint0=document.createElement('div');
		this._screen_tint0.ggId="screen_tint";
		this._screen_tint0.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._screen_tint0.ggVisible=false;
		this._screen_tint0.className='ggskin ggskin_rectangle ';
		this._screen_tint0.ggType='rectangle';
		hs ='';
		hs+='background : rgba(0,0,0,0.588235);';
		hs+='border : 0px solid #000000;';
		hs+='cursor : default;';
		hs+='height : 100%;';
		hs+='left : 0%;';
		hs+='position : absolute;';
		hs+='top : 0%;';
		hs+='visibility : hidden;';
		hs+='width : 100%;';
		hs+='pointer-events:auto;';
		this._screen_tint0.setAttribute('style',hs);
		this._screen_tint0.style[domTransform + 'Origin']='50% 50%';
		me._screen_tint0.ggIsActive=function() {
			return false;
		}
		me._screen_tint0.ggElementNodeId=function() {
			return me.player.getCurrentNode();
		}
		me._screen_tint0.ggCurrentLogicStateVisible = -1;
		this._screen_tint0.ggUpdateConditionTimer=function () {
			var newLogicStateVisible;
			if (
				(ggSkinVars['gallery_show_hide_1'] == true)
			)
			{
				newLogicStateVisible = 0;
			}
			else {
				newLogicStateVisible = -1;
			}
			if (me._screen_tint0.ggCurrentLogicStateVisible != newLogicStateVisible) {
				me._screen_tint0.ggCurrentLogicStateVisible = newLogicStateVisible;
				me._screen_tint0.style[domTransition]='';
				if (me._screen_tint0.ggCurrentLogicStateVisible == 0) {
					me._screen_tint0.style.visibility=(Number(me._screen_tint0.style.opacity)>0||!me._screen_tint0.style.opacity)?'inherit':'hidden';
					me._screen_tint0.ggVisible=true;
				}
				else {
					me._screen_tint0.style.visibility="hidden";
					me._screen_tint0.ggVisible=false;
				}
			}
		}
		this._screen_tint0.ggUpdatePosition=function (useTransition) {
		}
		this.divSkin.appendChild(this._screen_tint0);
		this._screen_tint=document.createElement('div');
		this._screen_tint.ggId="screen_tint";
		this._screen_tint.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._screen_tint.ggVisible=false;
		this._screen_tint.className='ggskin ggskin_rectangle ';
		this._screen_tint.ggType='rectangle';
		hs ='';
		hs+='background : rgba(0,0,0,0.588235);';
		hs+='border : 0px solid #000000;';
		hs+='cursor : default;';
		hs+='height : 100%;';
		hs+='left : 0%;';
		hs+='position : absolute;';
		hs+='top : 0%;';
		hs+='visibility : hidden;';
		hs+='width : 100%;';
		hs+='pointer-events:auto;';
		this._screen_tint.setAttribute('style',hs);
		this._screen_tint.style[domTransform + 'Origin']='50% 50%';
		me._screen_tint.ggIsActive=function() {
			return false;
		}
		me._screen_tint.ggElementNodeId=function() {
			return me.player.getCurrentNode();
		}
		me._screen_tint.ggCurrentLogicStateVisible = -1;
		this._screen_tint.ggUpdateConditionTimer=function () {
			var newLogicStateVisible;
			if (
				(ggSkinVars['gallery_show_hide'] == true)
			)
			{
				newLogicStateVisible = 0;
			}
			else {
				newLogicStateVisible = -1;
			}
			if (me._screen_tint.ggCurrentLogicStateVisible != newLogicStateVisible) {
				me._screen_tint.ggCurrentLogicStateVisible = newLogicStateVisible;
				me._screen_tint.style[domTransition]='';
				if (me._screen_tint.ggCurrentLogicStateVisible == 0) {
					me._screen_tint.style.visibility=(Number(me._screen_tint.style.opacity)>0||!me._screen_tint.style.opacity)?'inherit':'hidden';
					me._screen_tint.ggVisible=true;
				}
				else {
					me._screen_tint.style.visibility="hidden";
					me._screen_tint.ggVisible=false;
				}
			}
		}
		this._screen_tint.ggUpdatePosition=function (useTransition) {
		}
		this.divSkin.appendChild(this._screen_tint);
		this._gallery_close0=document.createElement('div');
		this._gallery_close0__img=document.createElement('img');
		this._gallery_close0__img.className='ggskin ggskin_svg';
		this._gallery_close0__img.setAttribute('src',basePath + 'images/gallery_close0.svg');
		this._gallery_close0__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;pointer-events:none;');
		this._gallery_close0__img['ondragstart']=function() { return false; };
		this._gallery_close0.appendChild(this._gallery_close0__img);
		this._gallery_close0__imgo=document.createElement('img');
		this._gallery_close0__imgo.className='ggskin ggskin_svg';
		this._gallery_close0__imgo.setAttribute('src',basePath + 'images/gallery_close0__o.svg');
		this._gallery_close0__imgo.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;visibility:hidden;pointer-events:none;');
		this._gallery_close0__imgo['ondragstart']=function() { return false; };
		this._gallery_close0.appendChild(this._gallery_close0__imgo);
		this._gallery_close0.ggId="gallery_close";
		this._gallery_close0.ggLeft=-40;
		this._gallery_close0.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._gallery_close0.ggVisible=false;
		this._gallery_close0.className='ggskin ggskin_svg ';
		this._gallery_close0.ggType='svg';
		hs ='';
		hs+='cursor : pointer;';
		hs+='height : 36px;';
		hs+='left : -40px;';
		hs+='position : absolute;';
		hs+='top : 3px;';
		hs+='visibility : hidden;';
		hs+='width : 37px;';
		hs+='pointer-events:auto;';
		this._gallery_close0.setAttribute('style',hs);
		this._gallery_close0.style[domTransform + 'Origin']='50% 50%';
		me._gallery_close0.ggIsActive=function() {
			return false;
		}
		me._gallery_close0.ggElementNodeId=function() {
			return me.player.getCurrentNode();
		}
		this._gallery_close0.onclick=function (e) {
			ggSkinVars['gallery_show_hide'] = false;
			ggSkinVars['gallery_pictures'] = Number("0");
			me._gallery_timer0.ggTimeout=Number("0") * 1000.0;
			me._gallery_timer0.ggTimestamp=me.ggCurrentTime;
			me._gallery_pause0.style[domTransition]='none';
			me._gallery_pause0.style.visibility='hidden';
			me._gallery_pause0.ggVisible=false;
			me._gallery_play0.style[domTransition]='none';
			me._gallery_play0.style.visibility=(Number(me._gallery_play0.style.opacity)>0||!me._gallery_play0.style.opacity)?'inherit':'hidden';
			me._gallery_play0.ggVisible=true;
		}
		this._gallery_close0.onmouseover=function (e) {
			me._gallery_close0__img.style.visibility='hidden';
			me._gallery_close0__imgo.style.visibility='inherit';
		}
		this._gallery_close0.onmouseout=function (e) {
			me._gallery_close0__img.style.visibility='inherit';
			me._gallery_close0__imgo.style.visibility='hidden';
		}
		me._gallery_close0.ggCurrentLogicStateVisible = -1;
		this._gallery_close0.ggUpdateConditionTimer=function () {
			var newLogicStateVisible;
			if (
				(ggSkinVars['gallery_show_hide'] == true)
			)
			{
				newLogicStateVisible = 0;
			}
			else {
				newLogicStateVisible = -1;
			}
			if (me._gallery_close0.ggCurrentLogicStateVisible != newLogicStateVisible) {
				me._gallery_close0.ggCurrentLogicStateVisible = newLogicStateVisible;
				me._gallery_close0.style[domTransition]='';
				if (me._gallery_close0.ggCurrentLogicStateVisible == 0) {
					me._gallery_close0.style.visibility=(Number(me._gallery_close0.style.opacity)>0||!me._gallery_close0.style.opacity)?'inherit':'hidden';
					me._gallery_close0.ggVisible=true;
				}
				else {
					me._gallery_close0.style.visibility="hidden";
					me._gallery_close0.ggVisible=false;
				}
			}
		}
		this._gallery_close0.ggUpdatePosition=function (useTransition) {
			if (useTransition==='undefined') {
				useTransition = false;
			}
			if (!useTransition) {
				this.style[domTransition]='none';
			}
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
					this.style.left=(this.ggLeft - 0 + w) + 'px';
			}
		}
		this.divSkin.appendChild(this._gallery_close0);
		this._gallery_controler0=document.createElement('div');
		this._gallery_controler0.ggId="gallery_controler";
		this._gallery_controler0.ggLeft=-123;
		this._gallery_controler0.ggTop=-40;
		this._gallery_controler0.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._gallery_controler0.ggVisible=false;
		this._gallery_controler0.className='ggskin ggskin_container ';
		this._gallery_controler0.ggType='container';
		hs ='';
		hs+='height : 33px;';
		hs+='left : -123px;';
		hs+='position : absolute;';
		hs+='top : -40px;';
		hs+='visibility : hidden;';
		hs+='width : 118px;';
		hs+='pointer-events:none;';
		this._gallery_controler0.setAttribute('style',hs);
		this._gallery_controler0.style[domTransform + 'Origin']='50% 50%';
		me._gallery_controler0.ggIsActive=function() {
			return false;
		}
		me._gallery_controler0.ggElementNodeId=function() {
			return me.player.getCurrentNode();
		}
		me._gallery_controler0.ggCurrentLogicStateVisible = -1;
		this._gallery_controler0.ggUpdateConditionTimer=function () {
			var newLogicStateVisible;
			if (
				(ggSkinVars['gallery_show_hide'] == true)
			)
			{
				newLogicStateVisible = 0;
			}
			else {
				newLogicStateVisible = -1;
			}
			if (me._gallery_controler0.ggCurrentLogicStateVisible != newLogicStateVisible) {
				me._gallery_controler0.ggCurrentLogicStateVisible = newLogicStateVisible;
				me._gallery_controler0.style[domTransition]='';
				if (me._gallery_controler0.ggCurrentLogicStateVisible == 0) {
					me._gallery_controler0.style.visibility=(Number(me._gallery_controler0.style.opacity)>0||!me._gallery_controler0.style.opacity)?'inherit':'hidden';
					me._gallery_controler0.ggVisible=true;
				}
				else {
					me._gallery_controler0.style.visibility="hidden";
					me._gallery_controler0.ggVisible=false;
				}
			}
		}
		this._gallery_controler0.ggUpdatePosition=function (useTransition) {
			if (useTransition==='undefined') {
				useTransition = false;
			}
			if (!useTransition) {
				this.style[domTransition]='none';
			}
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
					this.style.left=(this.ggLeft - 0 + w) + 'px';
				var h=this.parentNode.offsetHeight;
					this.style.top=(this.ggTop - 0 + h) + 'px';
			}
		}
		this._gallery_timer0=document.createElement('div');
		this._gallery_timer0.ggTimestamp=this.ggCurrentTime;
		this._gallery_timer0.ggLastIsActive=true;
		this._gallery_timer0.ggTimeout=0;
		this._gallery_timer0.ggId="gallery_timer";
		this._gallery_timer0.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._gallery_timer0.ggVisible=true;
		this._gallery_timer0.className='ggskin ggskin_timer ';
		this._gallery_timer0.ggType='timer';
		hs ='';
		hs+='height : 32px;';
		hs+='left : 0px;';
		hs+='position : absolute;';
		hs+='top : 1px;';
		hs+='visibility : inherit;';
		hs+='width : 32px;';
		hs+='pointer-events:none;';
		this._gallery_timer0.setAttribute('style',hs);
		this._gallery_timer0.style[domTransform + 'Origin']='50% 50%';
		me._gallery_timer0.ggIsActive=function() {
			return (me._gallery_timer0.ggTimestamp==0 ? false : (Math.floor((me.ggCurrentTime - me._gallery_timer0.ggTimestamp) / me._gallery_timer0.ggTimeout) % 2 == 0));
		}
		me._gallery_timer0.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		this._gallery_timer0.ggActivate=function () {
			me._gallery_forward0.onclick();
		}
		this._gallery_timer0.ggUpdatePosition=function (useTransition) {
		}
		this._gallery_controler0.appendChild(this._gallery_timer0);
		this._gallery_fx0=document.createElement('div');
		this._gallery_fx0.ggTimestamp=this.ggCurrentTime;
		this._gallery_fx0.ggLastIsActive=true;
		this._gallery_fx0.ggTimeout=0;
		this._gallery_fx0.ggId="gallery_fx";
		this._gallery_fx0.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._gallery_fx0.ggVisible=true;
		this._gallery_fx0.className='ggskin ggskin_timer ';
		this._gallery_fx0.ggType='timer';
		hs ='';
		hs+='height : 32px;';
		hs+='left : 0px;';
		hs+='opacity : 0;';
		hs+='position : absolute;';
		hs+='top : 1px;';
		hs+='visibility : hidden;';
		hs+='width : 32px;';
		hs+='pointer-events:none;';
		this._gallery_fx0.setAttribute('style',hs);
		this._gallery_fx0.style[domTransform + 'Origin']='50% 50%';
		me._gallery_fx0.ggIsActive=function() {
			return (me._gallery_fx0.ggTimestamp + me._gallery_fx0.ggTimeout) >= me.ggCurrentTime;
		}
		me._gallery_fx0.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		this._gallery_fx0.ggUpdatePosition=function (useTransition) {
		}
		this._gallery_controler0.appendChild(this._gallery_fx0);
		this._gallery_picture_preload00=document.createElement('div');
		this._gallery_picture_preload00__img=document.createElement('img');
		this._gallery_picture_preload00__img.className='ggskin ggskin_external';
		this._gallery_picture_preload00__img.onload=function() {me._gallery_picture_preload00.ggUpdatePosition();}
		this._gallery_picture_preload00__img.setAttribute('src',basePath + '');
		this._gallery_picture_preload00__img['ondragstart']=function() { return false; };
		hs ='';
		this._gallery_picture_preload00.appendChild(this._gallery_picture_preload00__img);
		this._gallery_picture_preload00.ggId="gallery_picture_preload00";
		this._gallery_picture_preload00.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._gallery_picture_preload00.ggVisible=false;
		this._gallery_picture_preload00.className='ggskin ggskin_external ';
		this._gallery_picture_preload00.ggType='external';
		hs ='';
		hs+='background : #ffffff;';
		hs+='border : 1px solid #000000;';
		hs+='cursor : default;';
		hs+='height : 31px;';
		hs+='left : 0px;';
		hs+='position : absolute;';
		hs+='top : 1px;';
		hs+='visibility : hidden;';
		hs+='width : 31px;';
		hs+='pointer-events:auto;';
		this._gallery_picture_preload00.setAttribute('style',hs);
		this._gallery_picture_preload00.style[domTransform + 'Origin']='0% 0%';
		me._gallery_picture_preload00.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._gallery_picture_preload00.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		me._gallery_picture_preload00.ggCurrentLogicStateExternalUrl = -1;
		this._gallery_picture_preload00.ggUpdateConditionTimer=function () {
			var newLogicStateExternalUrl;
			if (
				(ggSkinVars['gallery_pictures'] == 0)
			)
			{
				newLogicStateExternalUrl = 0;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 1)
			)
			{
				newLogicStateExternalUrl = 1;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 2)
			)
			{
				newLogicStateExternalUrl = 2;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 3)
			)
			{
				newLogicStateExternalUrl = 3;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 4)
			)
			{
				newLogicStateExternalUrl = 4;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 5)
			)
			{
				newLogicStateExternalUrl = 5;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 6)
			)
			{
				newLogicStateExternalUrl = 6;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 7)
			)
			{
				newLogicStateExternalUrl = 7;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 8)
			)
			{
				newLogicStateExternalUrl = 8;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 9)
			)
			{
				newLogicStateExternalUrl = 9;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 10)
			)
			{
				newLogicStateExternalUrl = 10;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 11)
			)
			{
				newLogicStateExternalUrl = 11;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 12)
			)
			{
				newLogicStateExternalUrl = 12;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 13)
			)
			{
				newLogicStateExternalUrl = 13;
			}
			else {
				newLogicStateExternalUrl = -1;
			}
			if (me._gallery_picture_preload00.ggCurrentLogicStateExternalUrl != newLogicStateExternalUrl) {
				me._gallery_picture_preload00.ggCurrentLogicStateExternalUrl = newLogicStateExternalUrl;
				me._gallery_picture_preload00.style[domTransition]='';
				if (me._gallery_picture_preload00.ggCurrentLogicStateExternalUrl == 0) {
					me._gallery_picture_preload00.ggText="gallery00/img_01.jpg";
					me._gallery_picture_preload00__img.src=me._gallery_picture_preload00.ggText;
				}
				else if (me._gallery_picture_preload00.ggCurrentLogicStateExternalUrl == 1) {
					me._gallery_picture_preload00.ggText="gallery00/img_02.jpg";
					me._gallery_picture_preload00__img.src=me._gallery_picture_preload00.ggText;
				}
				else if (me._gallery_picture_preload00.ggCurrentLogicStateExternalUrl == 2) {
					me._gallery_picture_preload00.ggText="gallery00/img_03.jpg";
					me._gallery_picture_preload00__img.src=me._gallery_picture_preload00.ggText;
				}
				else if (me._gallery_picture_preload00.ggCurrentLogicStateExternalUrl == 3) {
					me._gallery_picture_preload00.ggText="gallery00/img_04.jpg";
					me._gallery_picture_preload00__img.src=me._gallery_picture_preload00.ggText;
				}
				else if (me._gallery_picture_preload00.ggCurrentLogicStateExternalUrl == 4) {
					me._gallery_picture_preload00.ggText="gallery00/img_05.jpg";
					me._gallery_picture_preload00__img.src=me._gallery_picture_preload00.ggText;
				}
				else if (me._gallery_picture_preload00.ggCurrentLogicStateExternalUrl == 5) {
					me._gallery_picture_preload00.ggText="gallery00/img_06.jpg";
					me._gallery_picture_preload00__img.src=me._gallery_picture_preload00.ggText;
				}
				else if (me._gallery_picture_preload00.ggCurrentLogicStateExternalUrl == 6) {
					me._gallery_picture_preload00.ggText="gallery00/img_07.jpg";
					me._gallery_picture_preload00__img.src=me._gallery_picture_preload00.ggText;
				}
				else if (me._gallery_picture_preload00.ggCurrentLogicStateExternalUrl == 7) {
					me._gallery_picture_preload00.ggText="gallery00/img_08.jpg";
					me._gallery_picture_preload00__img.src=me._gallery_picture_preload00.ggText;
				}
				else if (me._gallery_picture_preload00.ggCurrentLogicStateExternalUrl == 8) {
					me._gallery_picture_preload00.ggText="gallery00/img_09.jpg";
					me._gallery_picture_preload00__img.src=me._gallery_picture_preload00.ggText;
				}
				else if (me._gallery_picture_preload00.ggCurrentLogicStateExternalUrl == 9) {
					me._gallery_picture_preload00.ggText="gallery00/img_10.jpg";
					me._gallery_picture_preload00__img.src=me._gallery_picture_preload00.ggText;
				}
				else if (me._gallery_picture_preload00.ggCurrentLogicStateExternalUrl == 10) {
					me._gallery_picture_preload00.ggText="gallery00/img_11.jpg";
					me._gallery_picture_preload00__img.src=me._gallery_picture_preload00.ggText;
				}
				else if (me._gallery_picture_preload00.ggCurrentLogicStateExternalUrl == 11) {
					me._gallery_picture_preload00.ggText="gallery00/img_12.jpg";
					me._gallery_picture_preload00__img.src=me._gallery_picture_preload00.ggText;
				}
				else if (me._gallery_picture_preload00.ggCurrentLogicStateExternalUrl == 12) {
					me._gallery_picture_preload00.ggText="gallery00/img_13.jpg";
					me._gallery_picture_preload00__img.src=me._gallery_picture_preload00.ggText;
				}
				else if (me._gallery_picture_preload00.ggCurrentLogicStateExternalUrl == 13) {
					me._gallery_picture_preload00.ggText="gallery00/img_14.jpg";
					me._gallery_picture_preload00__img.src=me._gallery_picture_preload00.ggText;
				}
				else {
					me._gallery_picture_preload00.ggText="";
					me._gallery_picture_preload00__img.src=me._gallery_picture_preload00.ggText;
				}
			}
		}
		this._gallery_picture_preload00.ggUpdatePosition=function (useTransition) {
			var parentWidth = me._gallery_picture_preload00.clientWidth;
			var parentHeight = me._gallery_picture_preload00.clientHeight;
			var aspectRatioDiv = me._gallery_picture_preload00.clientWidth / me._gallery_picture_preload00.clientHeight;
			var aspectRatioImg = me._gallery_picture_preload00__img.naturalWidth / me._gallery_picture_preload00__img.naturalHeight;
			if (me._gallery_picture_preload00__img.naturalWidth < parentWidth) parentWidth = me._gallery_picture_preload00__img.naturalWidth;
			if (me._gallery_picture_preload00__img.naturalHeight < parentHeight) parentHeight = me._gallery_picture_preload00__img.naturalHeight;
			var currentWidth = me._gallery_picture_preload00__img.naturalWidth;
			var currentHeight = me._gallery_picture_preload00__img.naturalHeight;
			if (aspectRatioDiv > aspectRatioImg) {
			currentHeight = parentHeight;
			currentWidth = parentHeight * aspectRatioImg;
			me._gallery_picture_preload00__img.setAttribute('style','position: absolute; left: 0px; top: 0px;height:' + parentHeight + 'px;-webkit-user-drag:none;pointer-events:none;');
			} else {
			currentWidth = parentWidth;
			currentHeight = parentWidth / aspectRatioImg;
			me._gallery_picture_preload00__img.setAttribute('style','position: absolute; left: 0px; top: 0px;width:' + parentWidth + 'px;-webkit-user-drag:none;pointer-events:none;');
			};
		}
		this._gallery_controler0.appendChild(this._gallery_picture_preload00);
		this._gallery_pause0=document.createElement('div');
		this._gallery_pause0__img=document.createElement('img');
		this._gallery_pause0__img.className='ggskin ggskin_svg';
		this._gallery_pause0__img.setAttribute('src',basePath + 'images/gallery_pause0.svg');
		this._gallery_pause0__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;pointer-events:none;');
		this._gallery_pause0__img['ondragstart']=function() { return false; };
		this._gallery_pause0.appendChild(this._gallery_pause0__img);
		this._gallery_pause0__imgo=document.createElement('img');
		this._gallery_pause0__imgo.className='ggskin ggskin_svg';
		this._gallery_pause0__imgo.setAttribute('src',basePath + 'images/gallery_pause0__o.svg');
		this._gallery_pause0__imgo.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;visibility:hidden;pointer-events:none;');
		this._gallery_pause0__imgo['ondragstart']=function() { return false; };
		this._gallery_pause0.appendChild(this._gallery_pause0__imgo);
		this._gallery_pause0.ggId="gallery_pause";
		this._gallery_pause0.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._gallery_pause0.ggVisible=false;
		this._gallery_pause0.className='ggskin ggskin_svg ';
		this._gallery_pause0.ggType='svg';
		hs ='';
		hs+='cursor : pointer;';
		hs+='height : 32px;';
		hs+='left : 86px;';
		hs+='position : absolute;';
		hs+='top : 0px;';
		hs+='visibility : hidden;';
		hs+='width : 32px;';
		hs+='pointer-events:auto;';
		this._gallery_pause0.setAttribute('style',hs);
		this._gallery_pause0.style[domTransform + 'Origin']='50% 50%';
		me._gallery_pause0.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._gallery_pause0.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		this._gallery_pause0.onclick=function (e) {
			me._gallery_timer0.ggTimeout=Number("0") * 1000.0;
			me._gallery_timer0.ggTimestamp=me.ggCurrentTime;
			me._gallery_pause0.style[domTransition]='none';
			me._gallery_pause0.style.visibility='hidden';
			me._gallery_pause0.ggVisible=false;
			me._gallery_play0.style[domTransition]='none';
			me._gallery_play0.style.visibility=(Number(me._gallery_play0.style.opacity)>0||!me._gallery_play0.style.opacity)?'inherit':'hidden';
			me._gallery_play0.ggVisible=true;
		}
		this._gallery_pause0.onmouseover=function (e) {
			me._gallery_pause0__img.style.visibility='hidden';
			me._gallery_pause0__imgo.style.visibility='inherit';
		}
		this._gallery_pause0.onmouseout=function (e) {
			me._gallery_pause0__img.style.visibility='inherit';
			me._gallery_pause0__imgo.style.visibility='hidden';
		}
		this._gallery_pause0.ggUpdatePosition=function (useTransition) {
		}
		this._gallery_controler0.appendChild(this._gallery_pause0);
		this._gallery_play0=document.createElement('div');
		this._gallery_play0__img=document.createElement('img');
		this._gallery_play0__img.className='ggskin ggskin_svg';
		this._gallery_play0__img.setAttribute('src',basePath + 'images/gallery_play0.svg');
		this._gallery_play0__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;pointer-events:none;');
		this._gallery_play0__img['ondragstart']=function() { return false; };
		this._gallery_play0.appendChild(this._gallery_play0__img);
		this._gallery_play0__imgo=document.createElement('img');
		this._gallery_play0__imgo.className='ggskin ggskin_svg';
		this._gallery_play0__imgo.setAttribute('src',basePath + 'images/gallery_play0__o.svg');
		this._gallery_play0__imgo.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;visibility:hidden;pointer-events:none;');
		this._gallery_play0__imgo['ondragstart']=function() { return false; };
		this._gallery_play0.appendChild(this._gallery_play0__imgo);
		this._gallery_play0.ggId="gallery_play";
		this._gallery_play0.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._gallery_play0.ggVisible=true;
		this._gallery_play0.className='ggskin ggskin_svg ';
		this._gallery_play0.ggType='svg';
		hs ='';
		hs+='cursor : pointer;';
		hs+='height : 32px;';
		hs+='left : 86px;';
		hs+='position : absolute;';
		hs+='top : 1px;';
		hs+='visibility : inherit;';
		hs+='width : 32px;';
		hs+='pointer-events:auto;';
		this._gallery_play0.setAttribute('style',hs);
		this._gallery_play0.style[domTransform + 'Origin']='50% 50%';
		me._gallery_play0.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._gallery_play0.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		this._gallery_play0.onclick=function (e) {
			me._gallery_timer0.ggTimeout=Number("2") * 1000.0;
			me._gallery_timer0.ggTimestamp=me.ggCurrentTime;
			me._gallery_play0.style[domTransition]='none';
			me._gallery_play0.style.visibility='hidden';
			me._gallery_play0.ggVisible=false;
			me._gallery_pause0.style[domTransition]='none';
			me._gallery_pause0.style.visibility=(Number(me._gallery_pause0.style.opacity)>0||!me._gallery_pause0.style.opacity)?'inherit':'hidden';
			me._gallery_pause0.ggVisible=true;
		}
		this._gallery_play0.onmouseover=function (e) {
			me._gallery_play0__img.style.visibility='hidden';
			me._gallery_play0__imgo.style.visibility='inherit';
		}
		this._gallery_play0.onmouseout=function (e) {
			me._gallery_play0__img.style.visibility='inherit';
			me._gallery_play0__imgo.style.visibility='hidden';
		}
		this._gallery_play0.ggUpdatePosition=function (useTransition) {
		}
		this._gallery_controler0.appendChild(this._gallery_play0);
		this._gallery_forward0=document.createElement('div');
		this._gallery_forward0__img=document.createElement('img');
		this._gallery_forward0__img.className='ggskin ggskin_svg';
		this._gallery_forward0__img.setAttribute('src',basePath + 'images/gallery_forward0.svg');
		this._gallery_forward0__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;pointer-events:none;');
		this._gallery_forward0__img['ondragstart']=function() { return false; };
		this._gallery_forward0.appendChild(this._gallery_forward0__img);
		this._gallery_forward0__imgo=document.createElement('img');
		this._gallery_forward0__imgo.className='ggskin ggskin_svg';
		this._gallery_forward0__imgo.setAttribute('src',basePath + 'images/gallery_forward0__o.svg');
		this._gallery_forward0__imgo.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;visibility:hidden;pointer-events:none;');
		this._gallery_forward0__imgo['ondragstart']=function() { return false; };
		this._gallery_forward0.appendChild(this._gallery_forward0__imgo);
		this._gallery_forward0.ggId="gallery_forward";
		this._gallery_forward0.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._gallery_forward0.ggVisible=true;
		this._gallery_forward0.className='ggskin ggskin_svg ';
		this._gallery_forward0.ggType='svg';
		hs ='';
		hs+='cursor : pointer;';
		hs+='height : 32px;';
		hs+='left : 43px;';
		hs+='position : absolute;';
		hs+='top : 1px;';
		hs+='visibility : inherit;';
		hs+='width : 32px;';
		hs+='pointer-events:auto;';
		this._gallery_forward0.setAttribute('style',hs);
		this._gallery_forward0.style[domTransform + 'Origin']='50% 50%';
		me._gallery_forward0.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._gallery_forward0.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		this._gallery_forward0.onclick=function (e) {
			ggSkinVars['gallery_pictures'] = ggSkinVars['gallery_pictures'] + Number("1");
			ggSkinVars['gallery_pictures'] = ggSkinVars['gallery_pictures'] % Number("15");
			me._gallery_fx0.ggTimeout=Number(".1") * 1000.0;
			me._gallery_fx0.ggTimestamp=me.ggCurrentTime;
		}
		this._gallery_forward0.onmouseover=function (e) {
			me._gallery_forward0__img.style.visibility='hidden';
			me._gallery_forward0__imgo.style.visibility='inherit';
		}
		this._gallery_forward0.onmouseout=function (e) {
			me._gallery_forward0__img.style.visibility='inherit';
			me._gallery_forward0__imgo.style.visibility='hidden';
		}
		this._gallery_forward0.ggUpdatePosition=function (useTransition) {
		}
		this._gallery_controler0.appendChild(this._gallery_forward0);
		this._gallery_back0=document.createElement('div');
		this._gallery_back0__img=document.createElement('img');
		this._gallery_back0__img.className='ggskin ggskin_svg';
		this._gallery_back0__img.setAttribute('src',basePath + 'images/gallery_back0.svg');
		this._gallery_back0__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;pointer-events:none;');
		this._gallery_back0__img['ondragstart']=function() { return false; };
		this._gallery_back0.appendChild(this._gallery_back0__img);
		this._gallery_back0__imgo=document.createElement('img');
		this._gallery_back0__imgo.className='ggskin ggskin_svg';
		this._gallery_back0__imgo.setAttribute('src',basePath + 'images/gallery_back0__o.svg');
		this._gallery_back0__imgo.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;visibility:hidden;pointer-events:none;');
		this._gallery_back0__imgo['ondragstart']=function() { return false; };
		this._gallery_back0.appendChild(this._gallery_back0__imgo);
		this._gallery_back0.ggId="gallery_back";
		this._gallery_back0.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._gallery_back0.ggVisible=true;
		this._gallery_back0.className='ggskin ggskin_svg ';
		this._gallery_back0.ggType='svg';
		hs ='';
		hs+='cursor : pointer;';
		hs+='height : 32px;';
		hs+='left : 0px;';
		hs+='position : absolute;';
		hs+='top : 1px;';
		hs+='visibility : inherit;';
		hs+='width : 32px;';
		hs+='pointer-events:auto;';
		this._gallery_back0.setAttribute('style',hs);
		this._gallery_back0.style[domTransform + 'Origin']='50% 50%';
		me._gallery_back0.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._gallery_back0.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		this._gallery_back0.onclick=function (e) {
			ggSkinVars['gallery_pictures'] = ggSkinVars['gallery_pictures'] + Number("14");
			ggSkinVars['gallery_pictures'] = ggSkinVars['gallery_pictures'] % Number("15");
			me._gallery_fx0.ggTimeout=Number(".1") * 1000.0;
			me._gallery_fx0.ggTimestamp=me.ggCurrentTime;
		}
		this._gallery_back0.onmouseover=function (e) {
			me._gallery_back0__img.style.visibility='hidden';
			me._gallery_back0__imgo.style.visibility='inherit';
		}
		this._gallery_back0.onmouseout=function (e) {
			me._gallery_back0__img.style.visibility='inherit';
			me._gallery_back0__imgo.style.visibility='hidden';
		}
		this._gallery_back0.ggUpdatePosition=function (useTransition) {
		}
		this._gallery_controler0.appendChild(this._gallery_back0);
		this._gallery_counter_total0=document.createElement('div');
		this._gallery_counter_total0__text=document.createElement('div');
		this._gallery_counter_total0.className='ggskin ggskin_textdiv';
		this._gallery_counter_total0.ggTextDiv=this._gallery_counter_total0__text;
		this._gallery_counter_total0.ggId="gallery_counter_total";
		this._gallery_counter_total0.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._gallery_counter_total0.ggVisible=true;
		this._gallery_counter_total0.className='ggskin ggskin_text ';
		this._gallery_counter_total0.ggType='text';
		hs ='';
		hs+='height : 18px;';
		hs+='left : -67px;';
		hs+='position : absolute;';
		hs+='top : 7px;';
		hs+='visibility : inherit;';
		hs+='width : 51px;';
		hs+='pointer-events:auto;';
		this._gallery_counter_total0.setAttribute('style',hs);
		this._gallery_counter_total0.style[domTransform + 'Origin']='50% 50%';
		hs ='position:absolute;';
		hs+='cursor: default;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 51px;';
		hs+='height: 18px;';
		hs+='background: #000000;';
		hs+='border: 0px solid #ffffff;';
		hs+='border-radius: 5px;';
		hs+=cssPrefix + 'border-radius: 5px;';
		hs+='color: rgba(255,255,255,1);';
		hs+='text-align: right;';
		hs+='white-space: nowrap;';
		hs+='padding: 1px 2px 1px 2px;';
		hs+='overflow: hidden;';
		this._gallery_counter_total0__text.setAttribute('style',hs);
		this._gallery_counter_total0__text.innerHTML="\/ 15";
		this._gallery_counter_total0.appendChild(this._gallery_counter_total0__text);
		me._gallery_counter_total0.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._gallery_counter_total0.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		this._gallery_counter_total0.ggUpdatePosition=function (useTransition) {
		}
		this._gallery_controler0.appendChild(this._gallery_counter_total0);
		this._gallery_counter0=document.createElement('div');
		this._gallery_counter0__text=document.createElement('div');
		this._gallery_counter0.className='ggskin ggskin_textdiv';
		this._gallery_counter0.ggTextDiv=this._gallery_counter0__text;
		this._gallery_counter0.ggId="gallery_counter";
		this._gallery_counter0.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._gallery_counter0.ggVisible=true;
		this._gallery_counter0.className='ggskin ggskin_text ';
		this._gallery_counter0.ggType='text';
		hs ='';
		hs+='height : 18px;';
		hs+='left : -67px;';
		hs+='position : absolute;';
		hs+='top : 7px;';
		hs+='visibility : inherit;';
		hs+='width : 26px;';
		hs+='pointer-events:auto;';
		this._gallery_counter0.setAttribute('style',hs);
		this._gallery_counter0.style[domTransform + 'Origin']='50% 50%';
		hs ='position:absolute;';
		hs+='cursor: default;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: auto;';
		hs+='height: auto;';
		hs+='border: 0px solid #ffffff;';
		hs+='border-radius: 5px;';
		hs+=cssPrefix + 'border-radius: 5px;';
		hs+='color: rgba(255,255,255,1);';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 1px 2px 1px 2px;';
		hs+='overflow: hidden;';
		this._gallery_counter0__text.setAttribute('style',hs);
		this._gallery_counter0__text.innerHTML="";
		this._gallery_counter0.appendChild(this._gallery_counter0__text);
		me._gallery_counter0.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._gallery_counter0.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		me._gallery_counter0.ggCurrentLogicStateText = -1;
		this._gallery_counter0.ggUpdateConditionTimer=function () {
			var newLogicStateText;
			if (
				(ggSkinVars['gallery_pictures'] == 0)
			)
			{
				newLogicStateText = 0;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 1)
			)
			{
				newLogicStateText = 1;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 2)
			)
			{
				newLogicStateText = 2;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 3)
			)
			{
				newLogicStateText = 3;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 4)
			)
			{
				newLogicStateText = 4;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 5)
			)
			{
				newLogicStateText = 5;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 6)
			)
			{
				newLogicStateText = 6;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 7)
			)
			{
				newLogicStateText = 7;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 8)
			)
			{
				newLogicStateText = 8;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 9)
			)
			{
				newLogicStateText = 9;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 10)
			)
			{
				newLogicStateText = 10;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 11)
			)
			{
				newLogicStateText = 11;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 12)
			)
			{
				newLogicStateText = 12;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 13)
			)
			{
				newLogicStateText = 13;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 14)
			)
			{
				newLogicStateText = 14;
			}
			else {
				newLogicStateText = -1;
			}
			if (me._gallery_counter0.ggCurrentLogicStateText != newLogicStateText) {
				me._gallery_counter0.ggCurrentLogicStateText = newLogicStateText;
				me._gallery_counter0.style[domTransition]='';
				if (me._gallery_counter0.ggCurrentLogicStateText == 0) {
					me._gallery_counter0.ggText="1";
					me._gallery_counter0__text.innerHTML=me._gallery_counter0.ggText;
					if (me._gallery_counter0.ggUpdateText) {
					me._gallery_counter0.ggUpdateText=function() {
						var hs="1";
						if (hs!=this.ggText) {
							this.ggText=hs;
							this.ggTextDiv.innerHTML=hs;
							if (this.ggUpdatePosition) this.ggUpdatePosition();
						}
					}
					} else {
						if (me._gallery_counter0.ggUpdatePosition) me._gallery_counter0.ggUpdatePosition();
					}
				}
				else if (me._gallery_counter0.ggCurrentLogicStateText == 1) {
					me._gallery_counter0.ggText="2";
					me._gallery_counter0__text.innerHTML=me._gallery_counter0.ggText;
					if (me._gallery_counter0.ggUpdateText) {
					me._gallery_counter0.ggUpdateText=function() {
						var hs="2";
						if (hs!=this.ggText) {
							this.ggText=hs;
							this.ggTextDiv.innerHTML=hs;
							if (this.ggUpdatePosition) this.ggUpdatePosition();
						}
					}
					} else {
						if (me._gallery_counter0.ggUpdatePosition) me._gallery_counter0.ggUpdatePosition();
					}
				}
				else if (me._gallery_counter0.ggCurrentLogicStateText == 2) {
					me._gallery_counter0.ggText="3";
					me._gallery_counter0__text.innerHTML=me._gallery_counter0.ggText;
					if (me._gallery_counter0.ggUpdateText) {
					me._gallery_counter0.ggUpdateText=function() {
						var hs="3";
						if (hs!=this.ggText) {
							this.ggText=hs;
							this.ggTextDiv.innerHTML=hs;
							if (this.ggUpdatePosition) this.ggUpdatePosition();
						}
					}
					} else {
						if (me._gallery_counter0.ggUpdatePosition) me._gallery_counter0.ggUpdatePosition();
					}
				}
				else if (me._gallery_counter0.ggCurrentLogicStateText == 3) {
					me._gallery_counter0.ggText="4";
					me._gallery_counter0__text.innerHTML=me._gallery_counter0.ggText;
					if (me._gallery_counter0.ggUpdateText) {
					me._gallery_counter0.ggUpdateText=function() {
						var hs="4";
						if (hs!=this.ggText) {
							this.ggText=hs;
							this.ggTextDiv.innerHTML=hs;
							if (this.ggUpdatePosition) this.ggUpdatePosition();
						}
					}
					} else {
						if (me._gallery_counter0.ggUpdatePosition) me._gallery_counter0.ggUpdatePosition();
					}
				}
				else if (me._gallery_counter0.ggCurrentLogicStateText == 4) {
					me._gallery_counter0.ggText="5";
					me._gallery_counter0__text.innerHTML=me._gallery_counter0.ggText;
					if (me._gallery_counter0.ggUpdateText) {
					me._gallery_counter0.ggUpdateText=function() {
						var hs="5";
						if (hs!=this.ggText) {
							this.ggText=hs;
							this.ggTextDiv.innerHTML=hs;
							if (this.ggUpdatePosition) this.ggUpdatePosition();
						}
					}
					} else {
						if (me._gallery_counter0.ggUpdatePosition) me._gallery_counter0.ggUpdatePosition();
					}
				}
				else if (me._gallery_counter0.ggCurrentLogicStateText == 5) {
					me._gallery_counter0.ggText="6";
					me._gallery_counter0__text.innerHTML=me._gallery_counter0.ggText;
					if (me._gallery_counter0.ggUpdateText) {
					me._gallery_counter0.ggUpdateText=function() {
						var hs="6";
						if (hs!=this.ggText) {
							this.ggText=hs;
							this.ggTextDiv.innerHTML=hs;
							if (this.ggUpdatePosition) this.ggUpdatePosition();
						}
					}
					} else {
						if (me._gallery_counter0.ggUpdatePosition) me._gallery_counter0.ggUpdatePosition();
					}
				}
				else if (me._gallery_counter0.ggCurrentLogicStateText == 6) {
					me._gallery_counter0.ggText="7";
					me._gallery_counter0__text.innerHTML=me._gallery_counter0.ggText;
					if (me._gallery_counter0.ggUpdateText) {
					me._gallery_counter0.ggUpdateText=function() {
						var hs="7";
						if (hs!=this.ggText) {
							this.ggText=hs;
							this.ggTextDiv.innerHTML=hs;
							if (this.ggUpdatePosition) this.ggUpdatePosition();
						}
					}
					} else {
						if (me._gallery_counter0.ggUpdatePosition) me._gallery_counter0.ggUpdatePosition();
					}
				}
				else if (me._gallery_counter0.ggCurrentLogicStateText == 7) {
					me._gallery_counter0.ggText="8";
					me._gallery_counter0__text.innerHTML=me._gallery_counter0.ggText;
					if (me._gallery_counter0.ggUpdateText) {
					me._gallery_counter0.ggUpdateText=function() {
						var hs="8";
						if (hs!=this.ggText) {
							this.ggText=hs;
							this.ggTextDiv.innerHTML=hs;
							if (this.ggUpdatePosition) this.ggUpdatePosition();
						}
					}
					} else {
						if (me._gallery_counter0.ggUpdatePosition) me._gallery_counter0.ggUpdatePosition();
					}
				}
				else if (me._gallery_counter0.ggCurrentLogicStateText == 8) {
					me._gallery_counter0.ggText="9";
					me._gallery_counter0__text.innerHTML=me._gallery_counter0.ggText;
					if (me._gallery_counter0.ggUpdateText) {
					me._gallery_counter0.ggUpdateText=function() {
						var hs="9";
						if (hs!=this.ggText) {
							this.ggText=hs;
							this.ggTextDiv.innerHTML=hs;
							if (this.ggUpdatePosition) this.ggUpdatePosition();
						}
					}
					} else {
						if (me._gallery_counter0.ggUpdatePosition) me._gallery_counter0.ggUpdatePosition();
					}
				}
				else if (me._gallery_counter0.ggCurrentLogicStateText == 9) {
					me._gallery_counter0.ggText="10";
					me._gallery_counter0__text.innerHTML=me._gallery_counter0.ggText;
					if (me._gallery_counter0.ggUpdateText) {
					me._gallery_counter0.ggUpdateText=function() {
						var hs="10";
						if (hs!=this.ggText) {
							this.ggText=hs;
							this.ggTextDiv.innerHTML=hs;
							if (this.ggUpdatePosition) this.ggUpdatePosition();
						}
					}
					} else {
						if (me._gallery_counter0.ggUpdatePosition) me._gallery_counter0.ggUpdatePosition();
					}
				}
				else if (me._gallery_counter0.ggCurrentLogicStateText == 10) {
					me._gallery_counter0.ggText="11";
					me._gallery_counter0__text.innerHTML=me._gallery_counter0.ggText;
					if (me._gallery_counter0.ggUpdateText) {
					me._gallery_counter0.ggUpdateText=function() {
						var hs="11";
						if (hs!=this.ggText) {
							this.ggText=hs;
							this.ggTextDiv.innerHTML=hs;
							if (this.ggUpdatePosition) this.ggUpdatePosition();
						}
					}
					} else {
						if (me._gallery_counter0.ggUpdatePosition) me._gallery_counter0.ggUpdatePosition();
					}
				}
				else if (me._gallery_counter0.ggCurrentLogicStateText == 11) {
					me._gallery_counter0.ggText="12";
					me._gallery_counter0__text.innerHTML=me._gallery_counter0.ggText;
					if (me._gallery_counter0.ggUpdateText) {
					me._gallery_counter0.ggUpdateText=function() {
						var hs="12";
						if (hs!=this.ggText) {
							this.ggText=hs;
							this.ggTextDiv.innerHTML=hs;
							if (this.ggUpdatePosition) this.ggUpdatePosition();
						}
					}
					} else {
						if (me._gallery_counter0.ggUpdatePosition) me._gallery_counter0.ggUpdatePosition();
					}
				}
				else if (me._gallery_counter0.ggCurrentLogicStateText == 12) {
					me._gallery_counter0.ggText="13";
					me._gallery_counter0__text.innerHTML=me._gallery_counter0.ggText;
					if (me._gallery_counter0.ggUpdateText) {
					me._gallery_counter0.ggUpdateText=function() {
						var hs="13";
						if (hs!=this.ggText) {
							this.ggText=hs;
							this.ggTextDiv.innerHTML=hs;
							if (this.ggUpdatePosition) this.ggUpdatePosition();
						}
					}
					} else {
						if (me._gallery_counter0.ggUpdatePosition) me._gallery_counter0.ggUpdatePosition();
					}
				}
				else if (me._gallery_counter0.ggCurrentLogicStateText == 13) {
					me._gallery_counter0.ggText="14";
					me._gallery_counter0__text.innerHTML=me._gallery_counter0.ggText;
					if (me._gallery_counter0.ggUpdateText) {
					me._gallery_counter0.ggUpdateText=function() {
						var hs="14";
						if (hs!=this.ggText) {
							this.ggText=hs;
							this.ggTextDiv.innerHTML=hs;
							if (this.ggUpdatePosition) this.ggUpdatePosition();
						}
					}
					} else {
						if (me._gallery_counter0.ggUpdatePosition) me._gallery_counter0.ggUpdatePosition();
					}
				}
				else if (me._gallery_counter0.ggCurrentLogicStateText == 14) {
					me._gallery_counter0.ggText="15";
					me._gallery_counter0__text.innerHTML=me._gallery_counter0.ggText;
					if (me._gallery_counter0.ggUpdateText) {
					me._gallery_counter0.ggUpdateText=function() {
						var hs="15";
						if (hs!=this.ggText) {
							this.ggText=hs;
							this.ggTextDiv.innerHTML=hs;
							if (this.ggUpdatePosition) this.ggUpdatePosition();
						}
					}
					} else {
						if (me._gallery_counter0.ggUpdatePosition) me._gallery_counter0.ggUpdatePosition();
					}
				}
				else {
					me._gallery_counter0.ggText="";
					me._gallery_counter0__text.innerHTML=me._gallery_counter0.ggText;
					if (me._gallery_counter0.ggUpdateText) {
					me._gallery_counter0.ggUpdateText=function() {
						var hs="";
						if (hs!=this.ggText) {
							this.ggText=hs;
							this.ggTextDiv.innerHTML=hs;
							if (this.ggUpdatePosition) this.ggUpdatePosition();
						}
					}
					} else {
						if (me._gallery_counter0.ggUpdatePosition) me._gallery_counter0.ggUpdatePosition();
					}
				}
			}
		}
		this._gallery_counter0.ggUpdatePosition=function (useTransition) {
			this.style[domTransition]='none';
			this.ggTextDiv.style.left=((28-this.ggTextDiv.offsetWidth)/2) + 'px';
		}
		this._gallery_controler0.appendChild(this._gallery_counter0);
		this.divSkin.appendChild(this._gallery_controler0);
		this._gallery_picture00=document.createElement('div');
		this._gallery_picture00__img=document.createElement('img');
		this._gallery_picture00__img.className='ggskin ggskin_external';
		this._gallery_picture00__img.onload=function() {me._gallery_picture00.ggUpdatePosition();}
		this._gallery_picture00__img.setAttribute('src',basePath + '');
		this._gallery_picture00__img['ondragstart']=function() { return false; };
		hs ='';
		this._gallery_picture00.appendChild(this._gallery_picture00__img);
		this._gallery_picture00.ggId="gallery_picture00";
		this._gallery_picture00.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._gallery_picture00.ggVisible=false;
		this._gallery_picture00.className='ggskin ggskin_external ';
		this._gallery_picture00.ggType='external';
		hs ='';
		hs+='border : 0px solid #000000;';
		hs+='cursor : default;';
		hs+='height : 80%;';
		hs+='left : 10%;';
		hs+='position : absolute;';
		hs+='top : 5.21%;';
		hs+='visibility : hidden;';
		hs+='width : 80%;';
		hs+='pointer-events:auto;';
		this._gallery_picture00.setAttribute('style',hs);
		this._gallery_picture00.style[domTransform + 'Origin']='50% 50%';
		me._gallery_picture00.ggIsActive=function() {
			return false;
		}
		me._gallery_picture00.ggElementNodeId=function() {
			return me.player.getCurrentNode();
		}
		me._gallery_picture00.ggCurrentLogicStateVisible = -1;
		me._gallery_picture00.ggCurrentLogicStateExternalUrl = -1;
		this._gallery_picture00.ggUpdateConditionTimer=function () {
			var newLogicStateVisible;
			if (
				(ggSkinVars['gallery_show_hide'] == true)
			)
			{
				newLogicStateVisible = 0;
			}
			else {
				newLogicStateVisible = -1;
			}
			if (me._gallery_picture00.ggCurrentLogicStateVisible != newLogicStateVisible) {
				me._gallery_picture00.ggCurrentLogicStateVisible = newLogicStateVisible;
				me._gallery_picture00.style[domTransition]='';
				if (me._gallery_picture00.ggCurrentLogicStateVisible == 0) {
					me._gallery_picture00.style.visibility=(Number(me._gallery_picture00.style.opacity)>0||!me._gallery_picture00.style.opacity)?'inherit':'hidden';
					me._gallery_picture00.ggVisible=true;
				}
				else {
					me._gallery_picture00.style.visibility="hidden";
					me._gallery_picture00.ggVisible=false;
				}
			}
			var newLogicStateExternalUrl;
			if (
				(ggSkinVars['gallery_pictures'] == 0)
			)
			{
				newLogicStateExternalUrl = 0;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 1)
			)
			{
				newLogicStateExternalUrl = 1;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 2)
			)
			{
				newLogicStateExternalUrl = 2;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 3)
			)
			{
				newLogicStateExternalUrl = 3;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 4)
			)
			{
				newLogicStateExternalUrl = 4;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 5)
			)
			{
				newLogicStateExternalUrl = 5;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 6)
			)
			{
				newLogicStateExternalUrl = 6;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 7)
			)
			{
				newLogicStateExternalUrl = 7;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 8)
			)
			{
				newLogicStateExternalUrl = 8;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 9)
			)
			{
				newLogicStateExternalUrl = 9;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 10)
			)
			{
				newLogicStateExternalUrl = 10;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 11)
			)
			{
				newLogicStateExternalUrl = 11;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 12)
			)
			{
				newLogicStateExternalUrl = 12;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 13)
			)
			{
				newLogicStateExternalUrl = 13;
			}
			else if (
				(ggSkinVars['gallery_pictures'] == 14)
			)
			{
				newLogicStateExternalUrl = 14;
			}
			else {
				newLogicStateExternalUrl = -1;
			}
			if (me._gallery_picture00.ggCurrentLogicStateExternalUrl != newLogicStateExternalUrl) {
				me._gallery_picture00.ggCurrentLogicStateExternalUrl = newLogicStateExternalUrl;
				me._gallery_picture00.style[domTransition]='';
				if (me._gallery_picture00.ggCurrentLogicStateExternalUrl == 0) {
					me._gallery_picture00.ggText="gallery00/img_00.jpg";
					me._gallery_picture00__img.src=me._gallery_picture00.ggText;
				}
				else if (me._gallery_picture00.ggCurrentLogicStateExternalUrl == 1) {
					me._gallery_picture00.ggText="gallery00/img_01.jpg";
					me._gallery_picture00__img.src=me._gallery_picture00.ggText;
				}
				else if (me._gallery_picture00.ggCurrentLogicStateExternalUrl == 2) {
					me._gallery_picture00.ggText="gallery00/img_02.jpg";
					me._gallery_picture00__img.src=me._gallery_picture00.ggText;
				}
				else if (me._gallery_picture00.ggCurrentLogicStateExternalUrl == 3) {
					me._gallery_picture00.ggText="gallery00/img_03.jpg";
					me._gallery_picture00__img.src=me._gallery_picture00.ggText;
				}
				else if (me._gallery_picture00.ggCurrentLogicStateExternalUrl == 4) {
					me._gallery_picture00.ggText="gallery00/img_04.jpg";
					me._gallery_picture00__img.src=me._gallery_picture00.ggText;
				}
				else if (me._gallery_picture00.ggCurrentLogicStateExternalUrl == 5) {
					me._gallery_picture00.ggText="gallery00/img_05.jpg";
					me._gallery_picture00__img.src=me._gallery_picture00.ggText;
				}
				else if (me._gallery_picture00.ggCurrentLogicStateExternalUrl == 6) {
					me._gallery_picture00.ggText="gallery00/img_06.jpg";
					me._gallery_picture00__img.src=me._gallery_picture00.ggText;
				}
				else if (me._gallery_picture00.ggCurrentLogicStateExternalUrl == 7) {
					me._gallery_picture00.ggText="gallery00/img_07.jpg";
					me._gallery_picture00__img.src=me._gallery_picture00.ggText;
				}
				else if (me._gallery_picture00.ggCurrentLogicStateExternalUrl == 8) {
					me._gallery_picture00.ggText="gallery00/img_08.jpg";
					me._gallery_picture00__img.src=me._gallery_picture00.ggText;
				}
				else if (me._gallery_picture00.ggCurrentLogicStateExternalUrl == 9) {
					me._gallery_picture00.ggText="gallery00/img_09.jpg";
					me._gallery_picture00__img.src=me._gallery_picture00.ggText;
				}
				else if (me._gallery_picture00.ggCurrentLogicStateExternalUrl == 10) {
					me._gallery_picture00.ggText="gallery00/img_10.jpg";
					me._gallery_picture00__img.src=me._gallery_picture00.ggText;
				}
				else if (me._gallery_picture00.ggCurrentLogicStateExternalUrl == 11) {
					me._gallery_picture00.ggText="gallery00/img_11.jpg";
					me._gallery_picture00__img.src=me._gallery_picture00.ggText;
				}
				else if (me._gallery_picture00.ggCurrentLogicStateExternalUrl == 12) {
					me._gallery_picture00.ggText="gallery00/img_12.jpg";
					me._gallery_picture00__img.src=me._gallery_picture00.ggText;
				}
				else if (me._gallery_picture00.ggCurrentLogicStateExternalUrl == 13) {
					me._gallery_picture00.ggText="gallery00/img_13.jpg";
					me._gallery_picture00__img.src=me._gallery_picture00.ggText;
				}
				else if (me._gallery_picture00.ggCurrentLogicStateExternalUrl == 14) {
					me._gallery_picture00.ggText="gallery00/img_14.jpg";
					me._gallery_picture00__img.src=me._gallery_picture00.ggText;
				}
				else {
					me._gallery_picture00.ggText="";
					me._gallery_picture00__img.src=me._gallery_picture00.ggText;
				}
			}
		}
		this._gallery_picture00.ggUpdatePosition=function (useTransition) {
			var parentWidth = me._gallery_picture00.clientWidth;
			var parentHeight = me._gallery_picture00.clientHeight;
			var aspectRatioDiv = me._gallery_picture00.clientWidth / me._gallery_picture00.clientHeight;
			var aspectRatioImg = me._gallery_picture00__img.naturalWidth / me._gallery_picture00__img.naturalHeight;
			if (me._gallery_picture00__img.naturalWidth < parentWidth) parentWidth = me._gallery_picture00__img.naturalWidth;
			if (me._gallery_picture00__img.naturalHeight < parentHeight) parentHeight = me._gallery_picture00__img.naturalHeight;
			var currentWidth = me._gallery_picture00__img.naturalWidth;
			var currentHeight = me._gallery_picture00__img.naturalHeight;
			if (aspectRatioDiv > aspectRatioImg) {
			currentHeight = parentHeight;
			currentWidth = parentHeight * aspectRatioImg;
			me._gallery_picture00__img.setAttribute('style','position: absolute; left: 50%; margin-left: -' + currentWidth/2 + 'px; top: 50%; margin-top: -' + currentHeight/2 + 'px;height:' + parentHeight + 'px;-webkit-user-drag:none;pointer-events:none;');
			} else {
			currentWidth = parentWidth;
			currentHeight = parentWidth / aspectRatioImg;
			me._gallery_picture00__img.setAttribute('style','position: absolute; left: 50%; margin-left: -' + currentWidth/2 + 'px; top: 50%; margin-top: -' + currentHeight/2 + 'px;width:' + parentWidth + 'px;-webkit-user-drag:none;pointer-events:none;');
			};
		}
		this.divSkin.appendChild(this._gallery_picture00);
		this._gallery_close=document.createElement('div');
		this._gallery_close__img=document.createElement('img');
		this._gallery_close__img.className='ggskin ggskin_svg';
		this._gallery_close__img.setAttribute('src',basePath + 'images/gallery_close.svg');
		this._gallery_close__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;pointer-events:none;');
		this._gallery_close__img['ondragstart']=function() { return false; };
		this._gallery_close.appendChild(this._gallery_close__img);
		this._gallery_close__imgo=document.createElement('img');
		this._gallery_close__imgo.className='ggskin ggskin_svg';
		this._gallery_close__imgo.setAttribute('src',basePath + 'images/gallery_close__o.svg');
		this._gallery_close__imgo.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;visibility:hidden;pointer-events:none;');
		this._gallery_close__imgo['ondragstart']=function() { return false; };
		this._gallery_close.appendChild(this._gallery_close__imgo);
		this._gallery_close.ggId="gallery_close";
		this._gallery_close.ggLeft=-40;
		this._gallery_close.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._gallery_close.ggVisible=false;
		this._gallery_close.className='ggskin ggskin_svg ';
		this._gallery_close.ggType='svg';
		hs ='';
		hs+='cursor : pointer;';
		hs+='height : 36px;';
		hs+='left : -40px;';
		hs+='position : absolute;';
		hs+='top : 3px;';
		hs+='visibility : hidden;';
		hs+='width : 37px;';
		hs+='pointer-events:auto;';
		this._gallery_close.setAttribute('style',hs);
		this._gallery_close.style[domTransform + 'Origin']='50% 50%';
		me._gallery_close.ggIsActive=function() {
			return false;
		}
		me._gallery_close.ggElementNodeId=function() {
			return me.player.getCurrentNode();
		}
		this._gallery_close.onclick=function (e) {
			ggSkinVars['gallery_show_hide_1'] = false;
			ggSkinVars['gallery_pictures_1'] = Number("0");
			me._gallery_timer0.ggTimeout=Number("0") * 1000.0;
			me._gallery_timer0.ggTimestamp=me.ggCurrentTime;
			me._gallery_pause0.style[domTransition]='none';
			me._gallery_pause0.style.visibility='hidden';
			me._gallery_pause0.ggVisible=false;
			me._gallery_play0.style[domTransition]='none';
			me._gallery_play0.style.visibility=(Number(me._gallery_play0.style.opacity)>0||!me._gallery_play0.style.opacity)?'inherit':'hidden';
			me._gallery_play0.ggVisible=true;
		}
		this._gallery_close.onmouseover=function (e) {
			me._gallery_close__img.style.visibility='hidden';
			me._gallery_close__imgo.style.visibility='inherit';
		}
		this._gallery_close.onmouseout=function (e) {
			me._gallery_close__img.style.visibility='inherit';
			me._gallery_close__imgo.style.visibility='hidden';
		}
		me._gallery_close.ggCurrentLogicStateVisible = -1;
		this._gallery_close.ggUpdateConditionTimer=function () {
			var newLogicStateVisible;
			if (
				(ggSkinVars['gallery_show_hide_1'] == true)
			)
			{
				newLogicStateVisible = 0;
			}
			else {
				newLogicStateVisible = -1;
			}
			if (me._gallery_close.ggCurrentLogicStateVisible != newLogicStateVisible) {
				me._gallery_close.ggCurrentLogicStateVisible = newLogicStateVisible;
				me._gallery_close.style[domTransition]='';
				if (me._gallery_close.ggCurrentLogicStateVisible == 0) {
					me._gallery_close.style.visibility=(Number(me._gallery_close.style.opacity)>0||!me._gallery_close.style.opacity)?'inherit':'hidden';
					me._gallery_close.ggVisible=true;
				}
				else {
					me._gallery_close.style.visibility="hidden";
					me._gallery_close.ggVisible=false;
				}
			}
		}
		this._gallery_close.ggUpdatePosition=function (useTransition) {
			if (useTransition==='undefined') {
				useTransition = false;
			}
			if (!useTransition) {
				this.style[domTransition]='none';
			}
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
					this.style.left=(this.ggLeft - 0 + w) + 'px';
			}
		}
		this.divSkin.appendChild(this._gallery_close);
		this._gallery_controler=document.createElement('div');
		this._gallery_controler.ggId="gallery_controler";
		this._gallery_controler.ggLeft=-123;
		this._gallery_controler.ggTop=-40;
		this._gallery_controler.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._gallery_controler.ggVisible=false;
		this._gallery_controler.className='ggskin ggskin_container ';
		this._gallery_controler.ggType='container';
		hs ='';
		hs+='height : 33px;';
		hs+='left : -123px;';
		hs+='position : absolute;';
		hs+='top : -40px;';
		hs+='visibility : hidden;';
		hs+='width : 118px;';
		hs+='pointer-events:none;';
		this._gallery_controler.setAttribute('style',hs);
		this._gallery_controler.style[domTransform + 'Origin']='50% 50%';
		me._gallery_controler.ggIsActive=function() {
			return false;
		}
		me._gallery_controler.ggElementNodeId=function() {
			return me.player.getCurrentNode();
		}
		me._gallery_controler.ggCurrentLogicStateVisible = -1;
		this._gallery_controler.ggUpdateConditionTimer=function () {
			var newLogicStateVisible;
			if (
				(ggSkinVars['gallery_show_hide_1'] == true)
			)
			{
				newLogicStateVisible = 0;
			}
			else {
				newLogicStateVisible = -1;
			}
			if (me._gallery_controler.ggCurrentLogicStateVisible != newLogicStateVisible) {
				me._gallery_controler.ggCurrentLogicStateVisible = newLogicStateVisible;
				me._gallery_controler.style[domTransition]='';
				if (me._gallery_controler.ggCurrentLogicStateVisible == 0) {
					me._gallery_controler.style.visibility=(Number(me._gallery_controler.style.opacity)>0||!me._gallery_controler.style.opacity)?'inherit':'hidden';
					me._gallery_controler.ggVisible=true;
				}
				else {
					me._gallery_controler.style.visibility="hidden";
					me._gallery_controler.ggVisible=false;
				}
			}
		}
		this._gallery_controler.ggUpdatePosition=function (useTransition) {
			if (useTransition==='undefined') {
				useTransition = false;
			}
			if (!useTransition) {
				this.style[domTransition]='none';
			}
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
					this.style.left=(this.ggLeft - 0 + w) + 'px';
				var h=this.parentNode.offsetHeight;
					this.style.top=(this.ggTop - 0 + h) + 'px';
			}
		}
		this._gallery_timer=document.createElement('div');
		this._gallery_timer.ggTimestamp=this.ggCurrentTime;
		this._gallery_timer.ggLastIsActive=true;
		this._gallery_timer.ggTimeout=0;
		this._gallery_timer.ggId="gallery_timer";
		this._gallery_timer.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._gallery_timer.ggVisible=true;
		this._gallery_timer.className='ggskin ggskin_timer ';
		this._gallery_timer.ggType='timer';
		hs ='';
		hs+='height : 32px;';
		hs+='left : 0px;';
		hs+='position : absolute;';
		hs+='top : 1px;';
		hs+='visibility : inherit;';
		hs+='width : 32px;';
		hs+='pointer-events:none;';
		this._gallery_timer.setAttribute('style',hs);
		this._gallery_timer.style[domTransform + 'Origin']='50% 50%';
		me._gallery_timer.ggIsActive=function() {
			return (me._gallery_timer.ggTimestamp==0 ? false : (Math.floor((me.ggCurrentTime - me._gallery_timer.ggTimestamp) / me._gallery_timer.ggTimeout) % 2 == 0));
		}
		me._gallery_timer.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		this._gallery_timer.ggActivate=function () {
			me._gallery_forward.onclick();
		}
		this._gallery_timer.ggUpdatePosition=function (useTransition) {
		}
		this._gallery_controler.appendChild(this._gallery_timer);
		this._gallery_fx=document.createElement('div');
		this._gallery_fx.ggTimestamp=this.ggCurrentTime;
		this._gallery_fx.ggLastIsActive=true;
		this._gallery_fx.ggTimeout=0;
		this._gallery_fx.ggId="gallery_fx";
		this._gallery_fx.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._gallery_fx.ggVisible=true;
		this._gallery_fx.className='ggskin ggskin_timer ';
		this._gallery_fx.ggType='timer';
		hs ='';
		hs+='height : 32px;';
		hs+='left : 0px;';
		hs+='opacity : 0;';
		hs+='position : absolute;';
		hs+='top : 1px;';
		hs+='visibility : hidden;';
		hs+='width : 32px;';
		hs+='pointer-events:none;';
		this._gallery_fx.setAttribute('style',hs);
		this._gallery_fx.style[domTransform + 'Origin']='50% 50%';
		me._gallery_fx.ggIsActive=function() {
			return (me._gallery_fx.ggTimestamp + me._gallery_fx.ggTimeout) >= me.ggCurrentTime;
		}
		me._gallery_fx.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		this._gallery_fx.ggUpdatePosition=function (useTransition) {
		}
		this._gallery_controler.appendChild(this._gallery_fx);
		this._gallery_picture_preload01=document.createElement('div');
		this._gallery_picture_preload01__img=document.createElement('img');
		this._gallery_picture_preload01__img.className='ggskin ggskin_external';
		this._gallery_picture_preload01__img.onload=function() {me._gallery_picture_preload01.ggUpdatePosition();}
		this._gallery_picture_preload01__img.setAttribute('src',basePath + '');
		this._gallery_picture_preload01__img['ondragstart']=function() { return false; };
		hs ='';
		this._gallery_picture_preload01.appendChild(this._gallery_picture_preload01__img);
		this._gallery_picture_preload01.ggId="gallery_picture_preload01";
		this._gallery_picture_preload01.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._gallery_picture_preload01.ggVisible=false;
		this._gallery_picture_preload01.className='ggskin ggskin_external ';
		this._gallery_picture_preload01.ggType='external';
		hs ='';
		hs+='background : #ffffff;';
		hs+='border : 1px solid #000000;';
		hs+='cursor : default;';
		hs+='height : 31px;';
		hs+='left : 0px;';
		hs+='position : absolute;';
		hs+='top : 1px;';
		hs+='visibility : hidden;';
		hs+='width : 31px;';
		hs+='pointer-events:auto;';
		this._gallery_picture_preload01.setAttribute('style',hs);
		this._gallery_picture_preload01.style[domTransform + 'Origin']='0% 0%';
		me._gallery_picture_preload01.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._gallery_picture_preload01.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		me._gallery_picture_preload01.ggCurrentLogicStateExternalUrl = -1;
		this._gallery_picture_preload01.ggUpdateConditionTimer=function () {
			var newLogicStateExternalUrl;
			if (
				(ggSkinVars['gallery_pictures_1'] == 0)
			)
			{
				newLogicStateExternalUrl = 0;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 1)
			)
			{
				newLogicStateExternalUrl = 1;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 2)
			)
			{
				newLogicStateExternalUrl = 2;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 3)
			)
			{
				newLogicStateExternalUrl = 3;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 4)
			)
			{
				newLogicStateExternalUrl = 4;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 5)
			)
			{
				newLogicStateExternalUrl = 5;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 6)
			)
			{
				newLogicStateExternalUrl = 6;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 7)
			)
			{
				newLogicStateExternalUrl = 7;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 8)
			)
			{
				newLogicStateExternalUrl = 8;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 9)
			)
			{
				newLogicStateExternalUrl = 9;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 10)
			)
			{
				newLogicStateExternalUrl = 10;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 11)
			)
			{
				newLogicStateExternalUrl = 11;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 12)
			)
			{
				newLogicStateExternalUrl = 12;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 13)
			)
			{
				newLogicStateExternalUrl = 13;
			}
			else {
				newLogicStateExternalUrl = -1;
			}
			if (me._gallery_picture_preload01.ggCurrentLogicStateExternalUrl != newLogicStateExternalUrl) {
				me._gallery_picture_preload01.ggCurrentLogicStateExternalUrl = newLogicStateExternalUrl;
				me._gallery_picture_preload01.style[domTransition]='';
				if (me._gallery_picture_preload01.ggCurrentLogicStateExternalUrl == 0) {
					me._gallery_picture_preload01.ggText="gallery01/img_01.jpg";
					me._gallery_picture_preload01__img.src=me._gallery_picture_preload01.ggText;
				}
				else if (me._gallery_picture_preload01.ggCurrentLogicStateExternalUrl == 1) {
					me._gallery_picture_preload01.ggText="gallery01/img_02.jpg";
					me._gallery_picture_preload01__img.src=me._gallery_picture_preload01.ggText;
				}
				else if (me._gallery_picture_preload01.ggCurrentLogicStateExternalUrl == 2) {
					me._gallery_picture_preload01.ggText="gallery01/img_03.jpg";
					me._gallery_picture_preload01__img.src=me._gallery_picture_preload01.ggText;
				}
				else if (me._gallery_picture_preload01.ggCurrentLogicStateExternalUrl == 3) {
					me._gallery_picture_preload01.ggText="gallery01/img_04.jpg";
					me._gallery_picture_preload01__img.src=me._gallery_picture_preload01.ggText;
				}
				else if (me._gallery_picture_preload01.ggCurrentLogicStateExternalUrl == 4) {
					me._gallery_picture_preload01.ggText="gallery01/img_05.jpg";
					me._gallery_picture_preload01__img.src=me._gallery_picture_preload01.ggText;
				}
				else if (me._gallery_picture_preload01.ggCurrentLogicStateExternalUrl == 5) {
					me._gallery_picture_preload01.ggText="gallery01/img_06.jpg";
					me._gallery_picture_preload01__img.src=me._gallery_picture_preload01.ggText;
				}
				else if (me._gallery_picture_preload01.ggCurrentLogicStateExternalUrl == 6) {
					me._gallery_picture_preload01.ggText="gallery01/img_07.jpg";
					me._gallery_picture_preload01__img.src=me._gallery_picture_preload01.ggText;
				}
				else if (me._gallery_picture_preload01.ggCurrentLogicStateExternalUrl == 7) {
					me._gallery_picture_preload01.ggText="gallery01/img_08.jpg";
					me._gallery_picture_preload01__img.src=me._gallery_picture_preload01.ggText;
				}
				else if (me._gallery_picture_preload01.ggCurrentLogicStateExternalUrl == 8) {
					me._gallery_picture_preload01.ggText="gallery01/img_09.jpg";
					me._gallery_picture_preload01__img.src=me._gallery_picture_preload01.ggText;
				}
				else if (me._gallery_picture_preload01.ggCurrentLogicStateExternalUrl == 9) {
					me._gallery_picture_preload01.ggText="gallery01/img_10.jpg";
					me._gallery_picture_preload01__img.src=me._gallery_picture_preload01.ggText;
				}
				else if (me._gallery_picture_preload01.ggCurrentLogicStateExternalUrl == 10) {
					me._gallery_picture_preload01.ggText="gallery01/img_11.jpg";
					me._gallery_picture_preload01__img.src=me._gallery_picture_preload01.ggText;
				}
				else if (me._gallery_picture_preload01.ggCurrentLogicStateExternalUrl == 11) {
					me._gallery_picture_preload01.ggText="gallery01/img_12.jpg";
					me._gallery_picture_preload01__img.src=me._gallery_picture_preload01.ggText;
				}
				else if (me._gallery_picture_preload01.ggCurrentLogicStateExternalUrl == 12) {
					me._gallery_picture_preload01.ggText="gallery01/img_13.jpg";
					me._gallery_picture_preload01__img.src=me._gallery_picture_preload01.ggText;
				}
				else if (me._gallery_picture_preload01.ggCurrentLogicStateExternalUrl == 13) {
					me._gallery_picture_preload01.ggText="gallery01/img_14.jpg";
					me._gallery_picture_preload01__img.src=me._gallery_picture_preload01.ggText;
				}
				else {
					me._gallery_picture_preload01.ggText="";
					me._gallery_picture_preload01__img.src=me._gallery_picture_preload01.ggText;
				}
			}
		}
		this._gallery_picture_preload01.ggUpdatePosition=function (useTransition) {
			var parentWidth = me._gallery_picture_preload01.clientWidth;
			var parentHeight = me._gallery_picture_preload01.clientHeight;
			var aspectRatioDiv = me._gallery_picture_preload01.clientWidth / me._gallery_picture_preload01.clientHeight;
			var aspectRatioImg = me._gallery_picture_preload01__img.naturalWidth / me._gallery_picture_preload01__img.naturalHeight;
			if (me._gallery_picture_preload01__img.naturalWidth < parentWidth) parentWidth = me._gallery_picture_preload01__img.naturalWidth;
			if (me._gallery_picture_preload01__img.naturalHeight < parentHeight) parentHeight = me._gallery_picture_preload01__img.naturalHeight;
			var currentWidth = me._gallery_picture_preload01__img.naturalWidth;
			var currentHeight = me._gallery_picture_preload01__img.naturalHeight;
			if (aspectRatioDiv > aspectRatioImg) {
			currentHeight = parentHeight;
			currentWidth = parentHeight * aspectRatioImg;
			me._gallery_picture_preload01__img.setAttribute('style','position: absolute; left: 0px; top: 0px;height:' + parentHeight + 'px;-webkit-user-drag:none;pointer-events:none;');
			} else {
			currentWidth = parentWidth;
			currentHeight = parentWidth / aspectRatioImg;
			me._gallery_picture_preload01__img.setAttribute('style','position: absolute; left: 0px; top: 0px;width:' + parentWidth + 'px;-webkit-user-drag:none;pointer-events:none;');
			};
		}
		this._gallery_controler.appendChild(this._gallery_picture_preload01);
		this._gallery_pause=document.createElement('div');
		this._gallery_pause__img=document.createElement('img');
		this._gallery_pause__img.className='ggskin ggskin_svg';
		this._gallery_pause__img.setAttribute('src',basePath + 'images/gallery_pause.svg');
		this._gallery_pause__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;pointer-events:none;');
		this._gallery_pause__img['ondragstart']=function() { return false; };
		this._gallery_pause.appendChild(this._gallery_pause__img);
		this._gallery_pause__imgo=document.createElement('img');
		this._gallery_pause__imgo.className='ggskin ggskin_svg';
		this._gallery_pause__imgo.setAttribute('src',basePath + 'images/gallery_pause__o.svg');
		this._gallery_pause__imgo.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;visibility:hidden;pointer-events:none;');
		this._gallery_pause__imgo['ondragstart']=function() { return false; };
		this._gallery_pause.appendChild(this._gallery_pause__imgo);
		this._gallery_pause.ggId="gallery_pause";
		this._gallery_pause.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._gallery_pause.ggVisible=false;
		this._gallery_pause.className='ggskin ggskin_svg ';
		this._gallery_pause.ggType='svg';
		hs ='';
		hs+='cursor : pointer;';
		hs+='height : 32px;';
		hs+='left : 86px;';
		hs+='position : absolute;';
		hs+='top : 0px;';
		hs+='visibility : hidden;';
		hs+='width : 32px;';
		hs+='pointer-events:auto;';
		this._gallery_pause.setAttribute('style',hs);
		this._gallery_pause.style[domTransform + 'Origin']='50% 50%';
		me._gallery_pause.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._gallery_pause.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		this._gallery_pause.onclick=function (e) {
			me._gallery_timer.ggTimeout=Number("0") * 1000.0;
			me._gallery_timer.ggTimestamp=me.ggCurrentTime;
			me._gallery_pause.style[domTransition]='none';
			me._gallery_pause.style.visibility='hidden';
			me._gallery_pause.ggVisible=false;
			me._gallery_play.style[domTransition]='none';
			me._gallery_play.style.visibility=(Number(me._gallery_play.style.opacity)>0||!me._gallery_play.style.opacity)?'inherit':'hidden';
			me._gallery_play.ggVisible=true;
		}
		this._gallery_pause.onmouseover=function (e) {
			me._gallery_pause__img.style.visibility='hidden';
			me._gallery_pause__imgo.style.visibility='inherit';
		}
		this._gallery_pause.onmouseout=function (e) {
			me._gallery_pause__img.style.visibility='inherit';
			me._gallery_pause__imgo.style.visibility='hidden';
		}
		this._gallery_pause.ggUpdatePosition=function (useTransition) {
		}
		this._gallery_controler.appendChild(this._gallery_pause);
		this._gallery_play=document.createElement('div');
		this._gallery_play__img=document.createElement('img');
		this._gallery_play__img.className='ggskin ggskin_svg';
		this._gallery_play__img.setAttribute('src',basePath + 'images/gallery_play.svg');
		this._gallery_play__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;pointer-events:none;');
		this._gallery_play__img['ondragstart']=function() { return false; };
		this._gallery_play.appendChild(this._gallery_play__img);
		this._gallery_play__imgo=document.createElement('img');
		this._gallery_play__imgo.className='ggskin ggskin_svg';
		this._gallery_play__imgo.setAttribute('src',basePath + 'images/gallery_play__o.svg');
		this._gallery_play__imgo.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;visibility:hidden;pointer-events:none;');
		this._gallery_play__imgo['ondragstart']=function() { return false; };
		this._gallery_play.appendChild(this._gallery_play__imgo);
		this._gallery_play.ggId="gallery_play";
		this._gallery_play.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._gallery_play.ggVisible=true;
		this._gallery_play.className='ggskin ggskin_svg ';
		this._gallery_play.ggType='svg';
		hs ='';
		hs+='cursor : pointer;';
		hs+='height : 32px;';
		hs+='left : 86px;';
		hs+='position : absolute;';
		hs+='top : 1px;';
		hs+='visibility : inherit;';
		hs+='width : 32px;';
		hs+='pointer-events:auto;';
		this._gallery_play.setAttribute('style',hs);
		this._gallery_play.style[domTransform + 'Origin']='50% 50%';
		me._gallery_play.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._gallery_play.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		this._gallery_play.onclick=function (e) {
			me._gallery_timer.ggTimeout=Number("2") * 1000.0;
			me._gallery_timer.ggTimestamp=me.ggCurrentTime;
			me._gallery_play.style[domTransition]='none';
			me._gallery_play.style.visibility='hidden';
			me._gallery_play.ggVisible=false;
			me._gallery_pause.style[domTransition]='none';
			me._gallery_pause.style.visibility=(Number(me._gallery_pause.style.opacity)>0||!me._gallery_pause.style.opacity)?'inherit':'hidden';
			me._gallery_pause.ggVisible=true;
		}
		this._gallery_play.onmouseover=function (e) {
			me._gallery_play__img.style.visibility='hidden';
			me._gallery_play__imgo.style.visibility='inherit';
		}
		this._gallery_play.onmouseout=function (e) {
			me._gallery_play__img.style.visibility='inherit';
			me._gallery_play__imgo.style.visibility='hidden';
		}
		this._gallery_play.ggUpdatePosition=function (useTransition) {
		}
		this._gallery_controler.appendChild(this._gallery_play);
		this._gallery_forward=document.createElement('div');
		this._gallery_forward__img=document.createElement('img');
		this._gallery_forward__img.className='ggskin ggskin_svg';
		this._gallery_forward__img.setAttribute('src',basePath + 'images/gallery_forward.svg');
		this._gallery_forward__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;pointer-events:none;');
		this._gallery_forward__img['ondragstart']=function() { return false; };
		this._gallery_forward.appendChild(this._gallery_forward__img);
		this._gallery_forward__imgo=document.createElement('img');
		this._gallery_forward__imgo.className='ggskin ggskin_svg';
		this._gallery_forward__imgo.setAttribute('src',basePath + 'images/gallery_forward__o.svg');
		this._gallery_forward__imgo.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;visibility:hidden;pointer-events:none;');
		this._gallery_forward__imgo['ondragstart']=function() { return false; };
		this._gallery_forward.appendChild(this._gallery_forward__imgo);
		this._gallery_forward.ggId="gallery_forward";
		this._gallery_forward.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._gallery_forward.ggVisible=true;
		this._gallery_forward.className='ggskin ggskin_svg ';
		this._gallery_forward.ggType='svg';
		hs ='';
		hs+='cursor : pointer;';
		hs+='height : 32px;';
		hs+='left : 43px;';
		hs+='position : absolute;';
		hs+='top : 1px;';
		hs+='visibility : inherit;';
		hs+='width : 32px;';
		hs+='pointer-events:auto;';
		this._gallery_forward.setAttribute('style',hs);
		this._gallery_forward.style[domTransform + 'Origin']='50% 50%';
		me._gallery_forward.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._gallery_forward.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		this._gallery_forward.onclick=function (e) {
			ggSkinVars['gallery_pictures_1'] = ggSkinVars['gallery_pictures_1'] + Number("1");
			ggSkinVars['gallery_pictures_1'] = ggSkinVars['gallery_pictures_1'] % Number("15");
			me._gallery_fx.ggTimeout=Number(".1") * 1000.0;
			me._gallery_fx.ggTimestamp=me.ggCurrentTime;
		}
		this._gallery_forward.onmouseover=function (e) {
			me._gallery_forward__img.style.visibility='hidden';
			me._gallery_forward__imgo.style.visibility='inherit';
		}
		this._gallery_forward.onmouseout=function (e) {
			me._gallery_forward__img.style.visibility='inherit';
			me._gallery_forward__imgo.style.visibility='hidden';
		}
		this._gallery_forward.ggUpdatePosition=function (useTransition) {
		}
		this._gallery_controler.appendChild(this._gallery_forward);
		this._gallery_back=document.createElement('div');
		this._gallery_back__img=document.createElement('img');
		this._gallery_back__img.className='ggskin ggskin_svg';
		this._gallery_back__img.setAttribute('src',basePath + 'images/gallery_back.svg');
		this._gallery_back__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;pointer-events:none;');
		this._gallery_back__img['ondragstart']=function() { return false; };
		this._gallery_back.appendChild(this._gallery_back__img);
		this._gallery_back__imgo=document.createElement('img');
		this._gallery_back__imgo.className='ggskin ggskin_svg';
		this._gallery_back__imgo.setAttribute('src',basePath + 'images/gallery_back__o.svg');
		this._gallery_back__imgo.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;visibility:hidden;pointer-events:none;');
		this._gallery_back__imgo['ondragstart']=function() { return false; };
		this._gallery_back.appendChild(this._gallery_back__imgo);
		this._gallery_back.ggId="gallery_back";
		this._gallery_back.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._gallery_back.ggVisible=true;
		this._gallery_back.className='ggskin ggskin_svg ';
		this._gallery_back.ggType='svg';
		hs ='';
		hs+='cursor : pointer;';
		hs+='height : 32px;';
		hs+='left : 0px;';
		hs+='position : absolute;';
		hs+='top : 1px;';
		hs+='visibility : inherit;';
		hs+='width : 32px;';
		hs+='pointer-events:auto;';
		this._gallery_back.setAttribute('style',hs);
		this._gallery_back.style[domTransform + 'Origin']='50% 50%';
		me._gallery_back.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._gallery_back.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		this._gallery_back.onclick=function (e) {
			ggSkinVars['gallery_pictures_1'] = ggSkinVars['gallery_pictures_1'] + Number("14");
			ggSkinVars['gallery_pictures_1'] = ggSkinVars['gallery_pictures_1'] % Number("15");
			me._gallery_fx.ggTimeout=Number(".1") * 1000.0;
			me._gallery_fx.ggTimestamp=me.ggCurrentTime;
		}
		this._gallery_back.onmouseover=function (e) {
			me._gallery_back__img.style.visibility='hidden';
			me._gallery_back__imgo.style.visibility='inherit';
		}
		this._gallery_back.onmouseout=function (e) {
			me._gallery_back__img.style.visibility='inherit';
			me._gallery_back__imgo.style.visibility='hidden';
		}
		this._gallery_back.ggUpdatePosition=function (useTransition) {
		}
		this._gallery_controler.appendChild(this._gallery_back);
		this._gallery_counter_total=document.createElement('div');
		this._gallery_counter_total__text=document.createElement('div');
		this._gallery_counter_total.className='ggskin ggskin_textdiv';
		this._gallery_counter_total.ggTextDiv=this._gallery_counter_total__text;
		this._gallery_counter_total.ggId="gallery_counter_total";
		this._gallery_counter_total.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._gallery_counter_total.ggVisible=true;
		this._gallery_counter_total.className='ggskin ggskin_text ';
		this._gallery_counter_total.ggType='text';
		hs ='';
		hs+='height : 18px;';
		hs+='left : -67px;';
		hs+='position : absolute;';
		hs+='top : 7px;';
		hs+='visibility : inherit;';
		hs+='width : 51px;';
		hs+='pointer-events:auto;';
		this._gallery_counter_total.setAttribute('style',hs);
		this._gallery_counter_total.style[domTransform + 'Origin']='50% 50%';
		hs ='position:absolute;';
		hs+='cursor: default;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 51px;';
		hs+='height: 18px;';
		hs+='background: #000000;';
		hs+='border: 0px solid #ffffff;';
		hs+='border-radius: 5px;';
		hs+=cssPrefix + 'border-radius: 5px;';
		hs+='color: rgba(255,255,255,1);';
		hs+='text-align: right;';
		hs+='white-space: nowrap;';
		hs+='padding: 1px 2px 1px 2px;';
		hs+='overflow: hidden;';
		this._gallery_counter_total__text.setAttribute('style',hs);
		this._gallery_counter_total__text.innerHTML="\/ 15";
		this._gallery_counter_total.appendChild(this._gallery_counter_total__text);
		me._gallery_counter_total.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._gallery_counter_total.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		this._gallery_counter_total.ggUpdatePosition=function (useTransition) {
		}
		this._gallery_controler.appendChild(this._gallery_counter_total);
		this._gallery_counter=document.createElement('div');
		this._gallery_counter__text=document.createElement('div');
		this._gallery_counter.className='ggskin ggskin_textdiv';
		this._gallery_counter.ggTextDiv=this._gallery_counter__text;
		this._gallery_counter.ggId="gallery_counter";
		this._gallery_counter.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._gallery_counter.ggVisible=true;
		this._gallery_counter.className='ggskin ggskin_text ';
		this._gallery_counter.ggType='text';
		hs ='';
		hs+='height : 18px;';
		hs+='left : -67px;';
		hs+='position : absolute;';
		hs+='top : 7px;';
		hs+='visibility : inherit;';
		hs+='width : 26px;';
		hs+='pointer-events:auto;';
		this._gallery_counter.setAttribute('style',hs);
		this._gallery_counter.style[domTransform + 'Origin']='50% 50%';
		hs ='position:absolute;';
		hs+='cursor: default;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: auto;';
		hs+='height: auto;';
		hs+='border: 0px solid #ffffff;';
		hs+='border-radius: 5px;';
		hs+=cssPrefix + 'border-radius: 5px;';
		hs+='color: rgba(255,255,255,1);';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 1px 2px 1px 2px;';
		hs+='overflow: hidden;';
		this._gallery_counter__text.setAttribute('style',hs);
		this._gallery_counter__text.innerHTML="";
		this._gallery_counter.appendChild(this._gallery_counter__text);
		me._gallery_counter.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._gallery_counter.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		me._gallery_counter.ggCurrentLogicStateText = -1;
		this._gallery_counter.ggUpdateConditionTimer=function () {
			var newLogicStateText;
			if (
				(ggSkinVars['gallery_pictures_1'] == 0)
			)
			{
				newLogicStateText = 0;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 1)
			)
			{
				newLogicStateText = 1;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 2)
			)
			{
				newLogicStateText = 2;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 3)
			)
			{
				newLogicStateText = 3;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 4)
			)
			{
				newLogicStateText = 4;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 5)
			)
			{
				newLogicStateText = 5;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 6)
			)
			{
				newLogicStateText = 6;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 7)
			)
			{
				newLogicStateText = 7;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 8)
			)
			{
				newLogicStateText = 8;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 9)
			)
			{
				newLogicStateText = 9;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 10)
			)
			{
				newLogicStateText = 10;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 11)
			)
			{
				newLogicStateText = 11;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 12)
			)
			{
				newLogicStateText = 12;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 13)
			)
			{
				newLogicStateText = 13;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 14)
			)
			{
				newLogicStateText = 14;
			}
			else {
				newLogicStateText = -1;
			}
			if (me._gallery_counter.ggCurrentLogicStateText != newLogicStateText) {
				me._gallery_counter.ggCurrentLogicStateText = newLogicStateText;
				me._gallery_counter.style[domTransition]='';
				if (me._gallery_counter.ggCurrentLogicStateText == 0) {
					me._gallery_counter.ggText="1";
					me._gallery_counter__text.innerHTML=me._gallery_counter.ggText;
					if (me._gallery_counter.ggUpdateText) {
					me._gallery_counter.ggUpdateText=function() {
						var hs="1";
						if (hs!=this.ggText) {
							this.ggText=hs;
							this.ggTextDiv.innerHTML=hs;
							if (this.ggUpdatePosition) this.ggUpdatePosition();
						}
					}
					} else {
						if (me._gallery_counter.ggUpdatePosition) me._gallery_counter.ggUpdatePosition();
					}
				}
				else if (me._gallery_counter.ggCurrentLogicStateText == 1) {
					me._gallery_counter.ggText="2";
					me._gallery_counter__text.innerHTML=me._gallery_counter.ggText;
					if (me._gallery_counter.ggUpdateText) {
					me._gallery_counter.ggUpdateText=function() {
						var hs="2";
						if (hs!=this.ggText) {
							this.ggText=hs;
							this.ggTextDiv.innerHTML=hs;
							if (this.ggUpdatePosition) this.ggUpdatePosition();
						}
					}
					} else {
						if (me._gallery_counter.ggUpdatePosition) me._gallery_counter.ggUpdatePosition();
					}
				}
				else if (me._gallery_counter.ggCurrentLogicStateText == 2) {
					me._gallery_counter.ggText="3";
					me._gallery_counter__text.innerHTML=me._gallery_counter.ggText;
					if (me._gallery_counter.ggUpdateText) {
					me._gallery_counter.ggUpdateText=function() {
						var hs="3";
						if (hs!=this.ggText) {
							this.ggText=hs;
							this.ggTextDiv.innerHTML=hs;
							if (this.ggUpdatePosition) this.ggUpdatePosition();
						}
					}
					} else {
						if (me._gallery_counter.ggUpdatePosition) me._gallery_counter.ggUpdatePosition();
					}
				}
				else if (me._gallery_counter.ggCurrentLogicStateText == 3) {
					me._gallery_counter.ggText="4";
					me._gallery_counter__text.innerHTML=me._gallery_counter.ggText;
					if (me._gallery_counter.ggUpdateText) {
					me._gallery_counter.ggUpdateText=function() {
						var hs="4";
						if (hs!=this.ggText) {
							this.ggText=hs;
							this.ggTextDiv.innerHTML=hs;
							if (this.ggUpdatePosition) this.ggUpdatePosition();
						}
					}
					} else {
						if (me._gallery_counter.ggUpdatePosition) me._gallery_counter.ggUpdatePosition();
					}
				}
				else if (me._gallery_counter.ggCurrentLogicStateText == 4) {
					me._gallery_counter.ggText="5";
					me._gallery_counter__text.innerHTML=me._gallery_counter.ggText;
					if (me._gallery_counter.ggUpdateText) {
					me._gallery_counter.ggUpdateText=function() {
						var hs="5";
						if (hs!=this.ggText) {
							this.ggText=hs;
							this.ggTextDiv.innerHTML=hs;
							if (this.ggUpdatePosition) this.ggUpdatePosition();
						}
					}
					} else {
						if (me._gallery_counter.ggUpdatePosition) me._gallery_counter.ggUpdatePosition();
					}
				}
				else if (me._gallery_counter.ggCurrentLogicStateText == 5) {
					me._gallery_counter.ggText="6";
					me._gallery_counter__text.innerHTML=me._gallery_counter.ggText;
					if (me._gallery_counter.ggUpdateText) {
					me._gallery_counter.ggUpdateText=function() {
						var hs="6";
						if (hs!=this.ggText) {
							this.ggText=hs;
							this.ggTextDiv.innerHTML=hs;
							if (this.ggUpdatePosition) this.ggUpdatePosition();
						}
					}
					} else {
						if (me._gallery_counter.ggUpdatePosition) me._gallery_counter.ggUpdatePosition();
					}
				}
				else if (me._gallery_counter.ggCurrentLogicStateText == 6) {
					me._gallery_counter.ggText="7";
					me._gallery_counter__text.innerHTML=me._gallery_counter.ggText;
					if (me._gallery_counter.ggUpdateText) {
					me._gallery_counter.ggUpdateText=function() {
						var hs="7";
						if (hs!=this.ggText) {
							this.ggText=hs;
							this.ggTextDiv.innerHTML=hs;
							if (this.ggUpdatePosition) this.ggUpdatePosition();
						}
					}
					} else {
						if (me._gallery_counter.ggUpdatePosition) me._gallery_counter.ggUpdatePosition();
					}
				}
				else if (me._gallery_counter.ggCurrentLogicStateText == 7) {
					me._gallery_counter.ggText="8";
					me._gallery_counter__text.innerHTML=me._gallery_counter.ggText;
					if (me._gallery_counter.ggUpdateText) {
					me._gallery_counter.ggUpdateText=function() {
						var hs="8";
						if (hs!=this.ggText) {
							this.ggText=hs;
							this.ggTextDiv.innerHTML=hs;
							if (this.ggUpdatePosition) this.ggUpdatePosition();
						}
					}
					} else {
						if (me._gallery_counter.ggUpdatePosition) me._gallery_counter.ggUpdatePosition();
					}
				}
				else if (me._gallery_counter.ggCurrentLogicStateText == 8) {
					me._gallery_counter.ggText="9";
					me._gallery_counter__text.innerHTML=me._gallery_counter.ggText;
					if (me._gallery_counter.ggUpdateText) {
					me._gallery_counter.ggUpdateText=function() {
						var hs="9";
						if (hs!=this.ggText) {
							this.ggText=hs;
							this.ggTextDiv.innerHTML=hs;
							if (this.ggUpdatePosition) this.ggUpdatePosition();
						}
					}
					} else {
						if (me._gallery_counter.ggUpdatePosition) me._gallery_counter.ggUpdatePosition();
					}
				}
				else if (me._gallery_counter.ggCurrentLogicStateText == 9) {
					me._gallery_counter.ggText="10";
					me._gallery_counter__text.innerHTML=me._gallery_counter.ggText;
					if (me._gallery_counter.ggUpdateText) {
					me._gallery_counter.ggUpdateText=function() {
						var hs="10";
						if (hs!=this.ggText) {
							this.ggText=hs;
							this.ggTextDiv.innerHTML=hs;
							if (this.ggUpdatePosition) this.ggUpdatePosition();
						}
					}
					} else {
						if (me._gallery_counter.ggUpdatePosition) me._gallery_counter.ggUpdatePosition();
					}
				}
				else if (me._gallery_counter.ggCurrentLogicStateText == 10) {
					me._gallery_counter.ggText="11";
					me._gallery_counter__text.innerHTML=me._gallery_counter.ggText;
					if (me._gallery_counter.ggUpdateText) {
					me._gallery_counter.ggUpdateText=function() {
						var hs="11";
						if (hs!=this.ggText) {
							this.ggText=hs;
							this.ggTextDiv.innerHTML=hs;
							if (this.ggUpdatePosition) this.ggUpdatePosition();
						}
					}
					} else {
						if (me._gallery_counter.ggUpdatePosition) me._gallery_counter.ggUpdatePosition();
					}
				}
				else if (me._gallery_counter.ggCurrentLogicStateText == 11) {
					me._gallery_counter.ggText="12";
					me._gallery_counter__text.innerHTML=me._gallery_counter.ggText;
					if (me._gallery_counter.ggUpdateText) {
					me._gallery_counter.ggUpdateText=function() {
						var hs="12";
						if (hs!=this.ggText) {
							this.ggText=hs;
							this.ggTextDiv.innerHTML=hs;
							if (this.ggUpdatePosition) this.ggUpdatePosition();
						}
					}
					} else {
						if (me._gallery_counter.ggUpdatePosition) me._gallery_counter.ggUpdatePosition();
					}
				}
				else if (me._gallery_counter.ggCurrentLogicStateText == 12) {
					me._gallery_counter.ggText="13";
					me._gallery_counter__text.innerHTML=me._gallery_counter.ggText;
					if (me._gallery_counter.ggUpdateText) {
					me._gallery_counter.ggUpdateText=function() {
						var hs="13";
						if (hs!=this.ggText) {
							this.ggText=hs;
							this.ggTextDiv.innerHTML=hs;
							if (this.ggUpdatePosition) this.ggUpdatePosition();
						}
					}
					} else {
						if (me._gallery_counter.ggUpdatePosition) me._gallery_counter.ggUpdatePosition();
					}
				}
				else if (me._gallery_counter.ggCurrentLogicStateText == 13) {
					me._gallery_counter.ggText="14";
					me._gallery_counter__text.innerHTML=me._gallery_counter.ggText;
					if (me._gallery_counter.ggUpdateText) {
					me._gallery_counter.ggUpdateText=function() {
						var hs="14";
						if (hs!=this.ggText) {
							this.ggText=hs;
							this.ggTextDiv.innerHTML=hs;
							if (this.ggUpdatePosition) this.ggUpdatePosition();
						}
					}
					} else {
						if (me._gallery_counter.ggUpdatePosition) me._gallery_counter.ggUpdatePosition();
					}
				}
				else if (me._gallery_counter.ggCurrentLogicStateText == 14) {
					me._gallery_counter.ggText="15";
					me._gallery_counter__text.innerHTML=me._gallery_counter.ggText;
					if (me._gallery_counter.ggUpdateText) {
					me._gallery_counter.ggUpdateText=function() {
						var hs="15";
						if (hs!=this.ggText) {
							this.ggText=hs;
							this.ggTextDiv.innerHTML=hs;
							if (this.ggUpdatePosition) this.ggUpdatePosition();
						}
					}
					} else {
						if (me._gallery_counter.ggUpdatePosition) me._gallery_counter.ggUpdatePosition();
					}
				}
				else {
					me._gallery_counter.ggText="";
					me._gallery_counter__text.innerHTML=me._gallery_counter.ggText;
					if (me._gallery_counter.ggUpdateText) {
					me._gallery_counter.ggUpdateText=function() {
						var hs="";
						if (hs!=this.ggText) {
							this.ggText=hs;
							this.ggTextDiv.innerHTML=hs;
							if (this.ggUpdatePosition) this.ggUpdatePosition();
						}
					}
					} else {
						if (me._gallery_counter.ggUpdatePosition) me._gallery_counter.ggUpdatePosition();
					}
				}
			}
		}
		this._gallery_counter.ggUpdatePosition=function (useTransition) {
			this.style[domTransition]='none';
			this.ggTextDiv.style.left=((28-this.ggTextDiv.offsetWidth)/2) + 'px';
		}
		this._gallery_controler.appendChild(this._gallery_counter);
		this.divSkin.appendChild(this._gallery_controler);
		this._gallery_picture01=document.createElement('div');
		this._gallery_picture01__img=document.createElement('img');
		this._gallery_picture01__img.className='ggskin ggskin_external';
		this._gallery_picture01__img.onload=function() {me._gallery_picture01.ggUpdatePosition();}
		this._gallery_picture01__img.setAttribute('src',basePath + '');
		this._gallery_picture01__img['ondragstart']=function() { return false; };
		hs ='';
		this._gallery_picture01.appendChild(this._gallery_picture01__img);
		this._gallery_picture01.ggId="gallery_picture01";
		this._gallery_picture01.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._gallery_picture01.ggVisible=false;
		this._gallery_picture01.className='ggskin ggskin_external ';
		this._gallery_picture01.ggType='external';
		hs ='';
		hs+='border : 0px solid #000000;';
		hs+='cursor : default;';
		hs+='height : 80%;';
		hs+='left : 10%;';
		hs+='position : absolute;';
		hs+='top : 5.21%;';
		hs+='visibility : hidden;';
		hs+='width : 80%;';
		hs+='pointer-events:auto;';
		this._gallery_picture01.setAttribute('style',hs);
		this._gallery_picture01.style[domTransform + 'Origin']='50% 50%';
		me._gallery_picture01.ggIsActive=function() {
			return false;
		}
		me._gallery_picture01.ggElementNodeId=function() {
			return me.player.getCurrentNode();
		}
		me._gallery_picture01.ggCurrentLogicStateVisible = -1;
		me._gallery_picture01.ggCurrentLogicStateExternalUrl = -1;
		this._gallery_picture01.ggUpdateConditionTimer=function () {
			var newLogicStateVisible;
			if (
				(ggSkinVars['gallery_show_hide_1'] == true)
			)
			{
				newLogicStateVisible = 0;
			}
			else {
				newLogicStateVisible = -1;
			}
			if (me._gallery_picture01.ggCurrentLogicStateVisible != newLogicStateVisible) {
				me._gallery_picture01.ggCurrentLogicStateVisible = newLogicStateVisible;
				me._gallery_picture01.style[domTransition]='';
				if (me._gallery_picture01.ggCurrentLogicStateVisible == 0) {
					me._gallery_picture01.style.visibility=(Number(me._gallery_picture01.style.opacity)>0||!me._gallery_picture01.style.opacity)?'inherit':'hidden';
					me._gallery_picture01.ggVisible=true;
				}
				else {
					me._gallery_picture01.style.visibility="hidden";
					me._gallery_picture01.ggVisible=false;
				}
			}
			var newLogicStateExternalUrl;
			if (
				(ggSkinVars['gallery_pictures_1'] == 0)
			)
			{
				newLogicStateExternalUrl = 0;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 1)
			)
			{
				newLogicStateExternalUrl = 1;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 2)
			)
			{
				newLogicStateExternalUrl = 2;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 3)
			)
			{
				newLogicStateExternalUrl = 3;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 4)
			)
			{
				newLogicStateExternalUrl = 4;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 5)
			)
			{
				newLogicStateExternalUrl = 5;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 6)
			)
			{
				newLogicStateExternalUrl = 6;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 7)
			)
			{
				newLogicStateExternalUrl = 7;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 8)
			)
			{
				newLogicStateExternalUrl = 8;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 9)
			)
			{
				newLogicStateExternalUrl = 9;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 10)
			)
			{
				newLogicStateExternalUrl = 10;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 11)
			)
			{
				newLogicStateExternalUrl = 11;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 12)
			)
			{
				newLogicStateExternalUrl = 12;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 13)
			)
			{
				newLogicStateExternalUrl = 13;
			}
			else if (
				(ggSkinVars['gallery_pictures_1'] == 14)
			)
			{
				newLogicStateExternalUrl = 14;
			}
			else {
				newLogicStateExternalUrl = -1;
			}
			if (me._gallery_picture01.ggCurrentLogicStateExternalUrl != newLogicStateExternalUrl) {
				me._gallery_picture01.ggCurrentLogicStateExternalUrl = newLogicStateExternalUrl;
				me._gallery_picture01.style[domTransition]='';
				if (me._gallery_picture01.ggCurrentLogicStateExternalUrl == 0) {
					me._gallery_picture01.ggText="gallery01/img_00.jpg";
					me._gallery_picture01__img.src=me._gallery_picture01.ggText;
				}
				else if (me._gallery_picture01.ggCurrentLogicStateExternalUrl == 1) {
					me._gallery_picture01.ggText="gallery01/img_01.jpg";
					me._gallery_picture01__img.src=me._gallery_picture01.ggText;
				}
				else if (me._gallery_picture01.ggCurrentLogicStateExternalUrl == 2) {
					me._gallery_picture01.ggText="gallery01/img_02.jpg";
					me._gallery_picture01__img.src=me._gallery_picture01.ggText;
				}
				else if (me._gallery_picture01.ggCurrentLogicStateExternalUrl == 3) {
					me._gallery_picture01.ggText="gallery01/img_03.jpg";
					me._gallery_picture01__img.src=me._gallery_picture01.ggText;
				}
				else if (me._gallery_picture01.ggCurrentLogicStateExternalUrl == 4) {
					me._gallery_picture01.ggText="gallery01/img_04.jpg";
					me._gallery_picture01__img.src=me._gallery_picture01.ggText;
				}
				else if (me._gallery_picture01.ggCurrentLogicStateExternalUrl == 5) {
					me._gallery_picture01.ggText="gallery01/img_05.jpg";
					me._gallery_picture01__img.src=me._gallery_picture01.ggText;
				}
				else if (me._gallery_picture01.ggCurrentLogicStateExternalUrl == 6) {
					me._gallery_picture01.ggText="gallery01/img_06.jpg";
					me._gallery_picture01__img.src=me._gallery_picture01.ggText;
				}
				else if (me._gallery_picture01.ggCurrentLogicStateExternalUrl == 7) {
					me._gallery_picture01.ggText="gallery01/img_07.jpg";
					me._gallery_picture01__img.src=me._gallery_picture01.ggText;
				}
				else if (me._gallery_picture01.ggCurrentLogicStateExternalUrl == 8) {
					me._gallery_picture01.ggText="gallery01/img_08.jpg";
					me._gallery_picture01__img.src=me._gallery_picture01.ggText;
				}
				else if (me._gallery_picture01.ggCurrentLogicStateExternalUrl == 9) {
					me._gallery_picture01.ggText="gallery01/img_09.jpg";
					me._gallery_picture01__img.src=me._gallery_picture01.ggText;
				}
				else if (me._gallery_picture01.ggCurrentLogicStateExternalUrl == 10) {
					me._gallery_picture01.ggText="gallery01/img_10.jpg";
					me._gallery_picture01__img.src=me._gallery_picture01.ggText;
				}
				else if (me._gallery_picture01.ggCurrentLogicStateExternalUrl == 11) {
					me._gallery_picture01.ggText="gallery01/img_11.jpg";
					me._gallery_picture01__img.src=me._gallery_picture01.ggText;
				}
				else if (me._gallery_picture01.ggCurrentLogicStateExternalUrl == 12) {
					me._gallery_picture01.ggText="gallery01/img_12.jpg";
					me._gallery_picture01__img.src=me._gallery_picture01.ggText;
				}
				else if (me._gallery_picture01.ggCurrentLogicStateExternalUrl == 13) {
					me._gallery_picture01.ggText="gallery01/img_13.jpg";
					me._gallery_picture01__img.src=me._gallery_picture01.ggText;
				}
				else if (me._gallery_picture01.ggCurrentLogicStateExternalUrl == 14) {
					me._gallery_picture01.ggText="gallery01/img_14.jpg";
					me._gallery_picture01__img.src=me._gallery_picture01.ggText;
				}
				else {
					me._gallery_picture01.ggText="";
					me._gallery_picture01__img.src=me._gallery_picture01.ggText;
				}
			}
		}
		this._gallery_picture01.ggUpdatePosition=function (useTransition) {
			var parentWidth = me._gallery_picture01.clientWidth;
			var parentHeight = me._gallery_picture01.clientHeight;
			var aspectRatioDiv = me._gallery_picture01.clientWidth / me._gallery_picture01.clientHeight;
			var aspectRatioImg = me._gallery_picture01__img.naturalWidth / me._gallery_picture01__img.naturalHeight;
			if (me._gallery_picture01__img.naturalWidth < parentWidth) parentWidth = me._gallery_picture01__img.naturalWidth;
			if (me._gallery_picture01__img.naturalHeight < parentHeight) parentHeight = me._gallery_picture01__img.naturalHeight;
			var currentWidth = me._gallery_picture01__img.naturalWidth;
			var currentHeight = me._gallery_picture01__img.naturalHeight;
			if (aspectRatioDiv > aspectRatioImg) {
			currentHeight = parentHeight;
			currentWidth = parentHeight * aspectRatioImg;
			me._gallery_picture01__img.setAttribute('style','position: absolute; left: 50%; margin-left: -' + currentWidth/2 + 'px; top: 50%; margin-top: -' + currentHeight/2 + 'px;height:' + parentHeight + 'px;-webkit-user-drag:none;pointer-events:none;');
			} else {
			currentWidth = parentWidth;
			currentHeight = parentWidth / aspectRatioImg;
			me._gallery_picture01__img.setAttribute('style','position: absolute; left: 50%; margin-left: -' + currentWidth/2 + 'px; top: 50%; margin-top: -' + currentHeight/2 + 'px;width:' + parentWidth + 'px;-webkit-user-drag:none;pointer-events:none;');
			};
		}
		this.divSkin.appendChild(this._gallery_picture01);
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
		}
		this.divSkin.ggLoaded=function() {
		}
		this.divSkin.ggReLoaded=function() {
		}
		this.divSkin.ggLoadedLevels=function() {
		}
		this.divSkin.ggReLoadedLevels=function() {
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
	}
	this.hotspotProxyOver=function(id) {
	}
	this.hotspotProxyOut=function(id) {
	}
	this.ggHotspotCallChildFunctions=function(functionname) {
		var stack = me.player.getCurrentPointHotspots();
		while (stack.length > 0) {
			var e = stack.pop();
			if (typeof e[functionname] == 'function') {
				e[functionname]();
			}
			if(e.hasChildNodes()) {
				for(var i=0; i<e.childNodes.length; i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	this.changeActiveNode=function(id) {
		me.ggUserdata=me.player.userdata;
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
		me.ggCurrentTime=new Date().getTime();
		me._screen_tint0.ggUpdateConditionTimer();
		me._screen_tint.ggUpdateConditionTimer();
		me._gallery_close0.ggUpdateConditionTimer();
		me._gallery_controler0.ggUpdateConditionTimer();
		if (me._gallery_timer0.ggLastIsActive!=me._gallery_timer0.ggIsActive()) {
			me._gallery_timer0.ggLastIsActive=me._gallery_timer0.ggIsActive();
			if (me._gallery_timer0.ggLastIsActive) {
				me._gallery_forward0.onclick();
			} else {
			}
		}
		me._gallery_picture_preload00.ggUpdateConditionTimer();
		me._gallery_counter0.ggUpdateConditionTimer();
		me._gallery_picture00.ggUpdateConditionTimer();
		me._gallery_close.ggUpdateConditionTimer();
		me._gallery_controler.ggUpdateConditionTimer();
		if (me._gallery_timer.ggLastIsActive!=me._gallery_timer.ggIsActive()) {
			me._gallery_timer.ggLastIsActive=me._gallery_timer.ggIsActive();
			if (me._gallery_timer.ggLastIsActive) {
				me._gallery_forward.onclick();
			} else {
			}
		}
		me._gallery_picture_preload01.ggUpdateConditionTimer();
		me._gallery_counter.ggUpdateConditionTimer();
		me._gallery_picture01.ggUpdateConditionTimer();
		me.ggHotspotCallChildFunctions('ggUpdateConditionTimer');
	};
	function SkinHotspotClass(skinObj,hotspot) {
		var me=this;
		var flag=false;
		this.player=skinObj.player;
		this.skin=skinObj;
		this.hotspot=hotspot;
		var nodeId=String(hotspot.url);
		nodeId=(nodeId.charAt(0)=='{')?nodeId.substr(1, nodeId.length - 2):'';
		this.ggUserdata=this.skin.player.getNodeUserdata(nodeId);
		this.elementMouseDown=[];
		this.elementMouseOver=[];
		
		this.findElements=function(id,regex) {
			return me.skin.findElements(id,regex);
		}
		
		if (hotspot.skinid=='gallery00') {
			this.__div=document.createElement('div');
			this.__div.ggId="gallery00";
			this.__div.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this.__div.ggVisible=true;
			this.__div.className='ggskin ggskin_hotspot ';
			this.__div.ggType='hotspot';
			hs ='';
			hs+='height : 5px;';
			hs+='left : 229px;';
			hs+='position : absolute;';
			hs+='top : 49px;';
			hs+='visibility : inherit;';
			hs+='width : 5px;';
			hs+='pointer-events:auto;';
			this.__div.setAttribute('style',hs);
			this.__div.style[domTransform + 'Origin']='50% 50%';
			me.__div.ggIsActive=function() {
				return me.player.getCurrentNode()==this.ggElementNodeId();
			}
			me.__div.ggElementNodeId=function() {
				return me.hotspot.url.substr(1, me.hotspot.url.length - 2);
			}
			this.__div.onclick=function (e) {
				ggSkinVars['gallery_show_hide'] = true;
				me.skin.hotspotProxyClick(me.hotspot.id);
			}
			this.__div.onmouseover=function (e) {
				me.player.setActiveHotspot(me.hotspot);
				me.elementMouseOver['_div']=true;
				me.skin.hotspotProxyOver(me.hotspot.id);
			}
			this.__div.onmouseout=function (e) {
				me.player.setActiveHotspot(null);
				me.elementMouseOver['_div']=false;
				me.skin.hotspotProxyOut(me.hotspot.id);
			}
			this.__div.ontouchend=function (e) {
				me.elementMouseOver['_div']=false;
			}
			this.__div.ggUpdatePosition=function (useTransition) {
			}
			this._gallery_show_hide00=document.createElement('div');
			this._gallery_show_hide00__img=document.createElement('img');
			this._gallery_show_hide00__img.className='ggskin ggskin_svg';
			this._gallery_show_hide00__img.setAttribute('src',basePath + 'images/gallery_show_hide00.svg');
			this._gallery_show_hide00__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;pointer-events:none;');
			this._gallery_show_hide00__img['ondragstart']=function() { return false; };
			this._gallery_show_hide00.appendChild(this._gallery_show_hide00__img);
			this._gallery_show_hide00__imgo=document.createElement('img');
			this._gallery_show_hide00__imgo.className='ggskin ggskin_svg';
			this._gallery_show_hide00__imgo.setAttribute('src',basePath + 'images/gallery_show_hide00__o.svg');
			this._gallery_show_hide00__imgo.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;visibility:hidden;pointer-events:none;');
			this._gallery_show_hide00__imgo['ondragstart']=function() { return false; };
			this._gallery_show_hide00.appendChild(this._gallery_show_hide00__imgo);
			this._gallery_show_hide00.ggId="gallery_show_hide00";
			this._gallery_show_hide00.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._gallery_show_hide00.ggVisible=true;
			this._gallery_show_hide00.className='ggskin ggskin_svg ';
			this._gallery_show_hide00.ggType='svg';
			hs ='';
			hs+='cursor : pointer;';
			hs+='height : 32px;';
			hs+='left : -16px;';
			hs+='position : absolute;';
			hs+='top : -16px;';
			hs+='visibility : inherit;';
			hs+='width : 32px;';
			hs+='pointer-events:auto;';
			this._gallery_show_hide00.setAttribute('style',hs);
			this._gallery_show_hide00.style[domTransform + 'Origin']='50% 50%';
			me._gallery_show_hide00.ggIsActive=function() {
				if ((this.parentNode) && (this.parentNode.ggIsActive)) {
					return this.parentNode.ggIsActive();
				}
				return false;
			}
			me._gallery_show_hide00.ggElementNodeId=function() {
				if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
					return this.parentNode.ggElementNodeId();
				}
				return me.ggNodeId;
			}
			this._gallery_show_hide00.onmouseover=function (e) {
				me._gallery_show_hide00__img.style.visibility='hidden';
				me._gallery_show_hide00__imgo.style.visibility='inherit';
			}
			this._gallery_show_hide00.onmouseout=function (e) {
				me._gallery_show_hide00__img.style.visibility='inherit';
				me._gallery_show_hide00__imgo.style.visibility='hidden';
			}
			me._gallery_show_hide00.ggCurrentLogicStateVisible = -1;
			this._gallery_show_hide00.ggUpdateConditionTimer=function () {
				var newLogicStateVisible;
				if (
					(ggSkinVars['gallery_show_hide'] == true)
				)
				{
					newLogicStateVisible = 0;
				}
				else {
					newLogicStateVisible = -1;
				}
				if (me._gallery_show_hide00.ggCurrentLogicStateVisible != newLogicStateVisible) {
					me._gallery_show_hide00.ggCurrentLogicStateVisible = newLogicStateVisible;
					me._gallery_show_hide00.style[domTransition]='';
					if (me._gallery_show_hide00.ggCurrentLogicStateVisible == 0) {
						me._gallery_show_hide00.style.visibility="hidden";
						me._gallery_show_hide00.ggVisible=false;
					}
					else {
						me._gallery_show_hide00.style.visibility=(Number(me._gallery_show_hide00.style.opacity)>0||!me._gallery_show_hide00.style.opacity)?'inherit':'hidden';
						me._gallery_show_hide00.ggVisible=true;
					}
				}
			}
			this._gallery_show_hide00.ggUpdatePosition=function (useTransition) {
			}
			this.__div.appendChild(this._gallery_show_hide00);
			this._text_0=document.createElement('div');
			this._text_0__text=document.createElement('div');
			this._text_0.className='ggskin ggskin_textdiv';
			this._text_0.ggTextDiv=this._text_0__text;
			this._text_0.ggId="Text 0";
			this._text_0.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._text_0.ggVisible=false;
			this._text_0.className='ggskin ggskin_text ';
			this._text_0.ggType='text';
			hs ='';
			hs+='height : 19px;';
			hs+='left : -52px;';
			hs+='position : absolute;';
			hs+='top : -40px;';
			hs+='visibility : hidden;';
			hs+='width : 97px;';
			hs+='pointer-events:auto;';
			this._text_0.setAttribute('style',hs);
			this._text_0.style[domTransform + 'Origin']='50% 50%';
			hs ='position:absolute;';
			hs+='cursor: default;';
			hs+='left: 0px;';
			hs+='top:  0px;';
			hs+='width: 97px;';
			hs+='height: 19px;';
			hs+='background: #ffffff;';
			hs+='border: 1px solid #000000;';
			hs+='color: #000000;';
			hs+='text-align: center;';
			hs+='white-space: nowrap;';
			hs+='padding: 0px 1px 0px 1px;';
			hs+='overflow: hidden;';
			this._text_0__text.setAttribute('style',hs);
			this._text_0__text.innerHTML=me.hotspot.title;
			this._text_0.appendChild(this._text_0__text);
			me._text_0.ggIsActive=function() {
				if ((this.parentNode) && (this.parentNode.ggIsActive)) {
					return this.parentNode.ggIsActive();
				}
				return false;
			}
			me._text_0.ggElementNodeId=function() {
				if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
					return this.parentNode.ggElementNodeId();
				}
				return me.ggNodeId;
			}
			me._text_0.ggCurrentLogicStateVisible = -1;
			this._text_0.ggUpdateConditionTimer=function () {
				var newLogicStateVisible;
				if (
					(me.elementMouseOver['_div'] == true)
				)
				{
					newLogicStateVisible = 0;
				}
				else {
					newLogicStateVisible = -1;
				}
				if (me._text_0.ggCurrentLogicStateVisible != newLogicStateVisible) {
					me._text_0.ggCurrentLogicStateVisible = newLogicStateVisible;
					me._text_0.style[domTransition]='';
					if (me._text_0.ggCurrentLogicStateVisible == 0) {
						me._text_0.style.visibility=(Number(me._text_0.style.opacity)>0||!me._text_0.style.opacity)?'inherit':'hidden';
						me._text_0.ggVisible=true;
					}
					else {
						me._text_0.style.visibility="hidden";
						me._text_0.ggVisible=false;
					}
				}
			}
			this._text_0.ggUpdatePosition=function (useTransition) {
			}
			this.__div.appendChild(this._text_0);
			this.hotspotTimerEvent=function() {
				setTimeout(function() { me.hotspotTimerEvent(); }, 10);
				if (me.elementMouseOver['_div']) {
				}
				me._gallery_show_hide00.ggUpdateConditionTimer();
				me._text_0.ggUpdateConditionTimer();
			}
			this.hotspotTimerEvent();
		} else
		{
			this.__div=document.createElement('div');
			this.__div.ggId="gallery01";
			this.__div.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this.__div.ggVisible=true;
			this.__div.className='ggskin ggskin_hotspot ';
			this.__div.ggType='hotspot';
			hs ='';
			hs+='height : 5px;';
			hs+='left : 191px;';
			hs+='position : absolute;';
			hs+='top : 250px;';
			hs+='visibility : inherit;';
			hs+='width : 5px;';
			hs+='pointer-events:auto;';
			this.__div.setAttribute('style',hs);
			this.__div.style[domTransform + 'Origin']='50% 50%';
			me.__div.ggIsActive=function() {
				return me.player.getCurrentNode()==this.ggElementNodeId();
			}
			me.__div.ggElementNodeId=function() {
				return me.hotspot.url.substr(1, me.hotspot.url.length - 2);
			}
			this.__div.onclick=function (e) {
				ggSkinVars['gallery_show_hide_1'] = true;
				me.skin.hotspotProxyClick(me.hotspot.id);
			}
			this.__div.onmouseover=function (e) {
				me.player.setActiveHotspot(me.hotspot);
				me.elementMouseOver['_div']=true;
				me.skin.hotspotProxyOver(me.hotspot.id);
			}
			this.__div.onmouseout=function (e) {
				me.player.setActiveHotspot(null);
				me.elementMouseOver['_div']=false;
				me.skin.hotspotProxyOut(me.hotspot.id);
			}
			this.__div.ontouchend=function (e) {
				me.elementMouseOver['_div']=false;
			}
			this.__div.ggUpdatePosition=function (useTransition) {
			}
			this._gallery_show_hide01=document.createElement('div');
			this._gallery_show_hide01__img=document.createElement('img');
			this._gallery_show_hide01__img.className='ggskin ggskin_svg';
			this._gallery_show_hide01__img.setAttribute('src',basePath + 'images/gallery_show_hide01.svg');
			this._gallery_show_hide01__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;pointer-events:none;');
			this._gallery_show_hide01__img['ondragstart']=function() { return false; };
			this._gallery_show_hide01.appendChild(this._gallery_show_hide01__img);
			this._gallery_show_hide01__imgo=document.createElement('img');
			this._gallery_show_hide01__imgo.className='ggskin ggskin_svg';
			this._gallery_show_hide01__imgo.setAttribute('src',basePath + 'images/gallery_show_hide01__o.svg');
			this._gallery_show_hide01__imgo.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;visibility:hidden;pointer-events:none;');
			this._gallery_show_hide01__imgo['ondragstart']=function() { return false; };
			this._gallery_show_hide01.appendChild(this._gallery_show_hide01__imgo);
			this._gallery_show_hide01.ggId="gallery_show_hide01";
			this._gallery_show_hide01.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._gallery_show_hide01.ggVisible=true;
			this._gallery_show_hide01.className='ggskin ggskin_svg ';
			this._gallery_show_hide01.ggType='svg';
			hs ='';
			hs+='cursor : pointer;';
			hs+='height : 32px;';
			hs+='left : -16px;';
			hs+='position : absolute;';
			hs+='top : -16px;';
			hs+='visibility : inherit;';
			hs+='width : 32px;';
			hs+='pointer-events:auto;';
			this._gallery_show_hide01.setAttribute('style',hs);
			this._gallery_show_hide01.style[domTransform + 'Origin']='50% 50%';
			me._gallery_show_hide01.ggIsActive=function() {
				if ((this.parentNode) && (this.parentNode.ggIsActive)) {
					return this.parentNode.ggIsActive();
				}
				return false;
			}
			me._gallery_show_hide01.ggElementNodeId=function() {
				if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
					return this.parentNode.ggElementNodeId();
				}
				return me.ggNodeId;
			}
			this._gallery_show_hide01.onmouseover=function (e) {
				me._gallery_show_hide01__img.style.visibility='hidden';
				me._gallery_show_hide01__imgo.style.visibility='inherit';
			}
			this._gallery_show_hide01.onmouseout=function (e) {
				me._gallery_show_hide01__img.style.visibility='inherit';
				me._gallery_show_hide01__imgo.style.visibility='hidden';
			}
			me._gallery_show_hide01.ggCurrentLogicStateVisible = -1;
			this._gallery_show_hide01.ggUpdateConditionTimer=function () {
				var newLogicStateVisible;
				if (
					(ggSkinVars['gallery_show_hide'] == true)
				)
				{
					newLogicStateVisible = 0;
				}
				else {
					newLogicStateVisible = -1;
				}
				if (me._gallery_show_hide01.ggCurrentLogicStateVisible != newLogicStateVisible) {
					me._gallery_show_hide01.ggCurrentLogicStateVisible = newLogicStateVisible;
					me._gallery_show_hide01.style[domTransition]='';
					if (me._gallery_show_hide01.ggCurrentLogicStateVisible == 0) {
						me._gallery_show_hide01.style.visibility="hidden";
						me._gallery_show_hide01.ggVisible=false;
					}
					else {
						me._gallery_show_hide01.style.visibility=(Number(me._gallery_show_hide01.style.opacity)>0||!me._gallery_show_hide01.style.opacity)?'inherit':'hidden';
						me._gallery_show_hide01.ggVisible=true;
					}
				}
			}
			this._gallery_show_hide01.ggUpdatePosition=function (useTransition) {
			}
			this.__div.appendChild(this._gallery_show_hide01);
			this._text_1=document.createElement('div');
			this._text_1__text=document.createElement('div');
			this._text_1.className='ggskin ggskin_textdiv';
			this._text_1.ggTextDiv=this._text_1__text;
			this._text_1.ggId="Text 1";
			this._text_1.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._text_1.ggVisible=false;
			this._text_1.className='ggskin ggskin_text ';
			this._text_1.ggType='text';
			hs ='';
			hs+='height : 19px;';
			hs+='left : -50px;';
			hs+='position : absolute;';
			hs+='top : -40px;';
			hs+='visibility : hidden;';
			hs+='width : 97px;';
			hs+='pointer-events:auto;';
			this._text_1.setAttribute('style',hs);
			this._text_1.style[domTransform + 'Origin']='50% 50%';
			hs ='position:absolute;';
			hs+='cursor: default;';
			hs+='left: 0px;';
			hs+='top:  0px;';
			hs+='width: 97px;';
			hs+='height: 19px;';
			hs+='background: #ffffff;';
			hs+='border: 1px solid #000000;';
			hs+='color: #000000;';
			hs+='text-align: center;';
			hs+='white-space: nowrap;';
			hs+='padding: 0px 1px 0px 1px;';
			hs+='overflow: hidden;';
			this._text_1__text.setAttribute('style',hs);
			this._text_1__text.innerHTML=me.hotspot.title;
			this._text_1.appendChild(this._text_1__text);
			me._text_1.ggIsActive=function() {
				if ((this.parentNode) && (this.parentNode.ggIsActive)) {
					return this.parentNode.ggIsActive();
				}
				return false;
			}
			me._text_1.ggElementNodeId=function() {
				if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
					return this.parentNode.ggElementNodeId();
				}
				return me.ggNodeId;
			}
			me._text_1.ggCurrentLogicStateVisible = -1;
			this._text_1.ggUpdateConditionTimer=function () {
				var newLogicStateVisible;
				if (
					(me.elementMouseOver['_div'] == true)
				)
				{
					newLogicStateVisible = 0;
				}
				else {
					newLogicStateVisible = -1;
				}
				if (me._text_1.ggCurrentLogicStateVisible != newLogicStateVisible) {
					me._text_1.ggCurrentLogicStateVisible = newLogicStateVisible;
					me._text_1.style[domTransition]='';
					if (me._text_1.ggCurrentLogicStateVisible == 0) {
						me._text_1.style.visibility=(Number(me._text_1.style.opacity)>0||!me._text_1.style.opacity)?'inherit':'hidden';
						me._text_1.ggVisible=true;
					}
					else {
						me._text_1.style.visibility="hidden";
						me._text_1.ggVisible=false;
					}
				}
			}
			this._text_1.ggUpdatePosition=function (useTransition) {
			}
			this.__div.appendChild(this._text_1);
			this.hotspotTimerEvent=function() {
				setTimeout(function() { me.hotspotTimerEvent(); }, 10);
				if (me.elementMouseOver['_div']) {
				}
				me._gallery_show_hide01.ggUpdateConditionTimer();
				me._text_1.ggUpdateConditionTimer();
			}
			this.hotspotTimerEvent();
		}
	};
	this.addSkinHotspot=function(hotspot) {
		return new SkinHotspotClass(me,hotspot);
	}
	this.addSkin();
};